<?php
class CompanyEntity Extends CompanyRepository{
    private $options = array(
        'nombre'=>null,
        'direccion'=>null,
        'ciudad'=>null,
        'estado'=>null,        
        'codigopostal'=>null,
        'telefonos'=>null,
        'fax'=>null,
        'email'=>null
    );
    
    public function setOptions($data){
      foreach ($this->options as $option => $value){
          if(isset($data[$option])){
            $this->options[$option] = $data[$option];
          }
      }
    }
  
    public function getOptions(){
        return $this->options;
    }
}