<?php
/**
 * Description of DatosFiscalesDestinatario
 *
 * @author carlos
 */

class CustomerEntity Extends CustomerRepository{
    private $options = array(
        'name'=>null,
        'last_name'=>null,
        'address'=>null,
        'city'=>null,
        'state'=>null,
        'zip_code'=>null,
        'contact'=>null,
        'email'=>null,
        'phone'=>null,
        'fax'=>null,
        'comments'=>null
    );
    
    public function __construct($idAlumno = null) {
        if($idAlumno){
            $this->setOptions($this->getByIdAlumno($idAlumno));
        }
    }
    
    public function setOptions($data){
      foreach ($this->options as $option => $value){
          if(isset($data[$option])){
            $this->options[$option] = $data[$option];
          }
      }
   
    }
  
    public function getOptions(){
        return $this->options;
    }
    
    
    public function getTable(){
        return $this->table;
    }

}
