<div class="container-title"></div>
<div class="row">
    <div class="col-lg-12"><ol class="breadcrumb">
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Inicio')?></a></li>
            <li class="active"><i class="fa fa-group"></i> <?php echo $_translator->_getTranslation('Lista de clientes')?></li>
        </ol>
    </div>
</div>
<div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
<div class="box">
    <div class="box-header">       
        <h3><i class='fa-fw fa fa-group'></i><?php echo $_translator->_getTranslation('Lista de clientes');?></h3>
        <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
    </div>
    <div class='box-content'>
        <div class='row'>
            <div class="col-lg-12">
                 <div class='pull-right'>
                    <a href='Customer.php' class='btn btn-sm btn-default'><i class='fa fa-plus'></i> <?php echo $_translator->_getTranslation('Agregar cliente')?></a>
                    <!--<button class="btn btn-sm btn-default" data-toggle='modal' data-target='#modalFiltroManifest'><i class="fa fa-search-plus"></i> <?php echo $_translator->_getTranslation('Busqueda avanzada')?></button> -->
                </div>
                    <div class="clear"></div>
                <hr/>
                <div class='table-responsive'>
                <table id="tblCustomers" class="table table-striped table-hover table-condensed">
                    <thead>
                    <th class="text-center"><?php echo $_translator->_getTranslation('Nombre');?></th>
                    <th class="text-center"><?php echo $_translator->_getTranslation('Apellido');?></th>
                    <th class="text-center"><?php echo $_translator->_getTranslation('Telefono');?></th>
                    <th class="text-center"><?php echo $_translator->_getTranslation('Email');?></th>                      
                    <th class="col-lg-1 text-center">Accion</th>
                    </thead>
                    <tbody>
                    <?php 
                        if($_listCustomers){
                            foreach($_listCustomers as $customer){?>
                                <tr>
                                    <td class="text-center"><?php echo $customer['name']?></td>
                                    <td class="text-center"><?php echo $customer['last_name']?></td>                                    
                                    <td class="text-center"><?php echo $customer['phone']?></td>
                                    <td class="text-center"><?php echo $customer['email']?></td>
                                    <td class="text-center">
                                        <a class="btn btn-xs btn-default" href="Customer.php?action=edit&id=<?php echo $customer['id']?>"><i class="fa fa-pencil"></i></a>                                        
                                        <a class="btn btn-xs btn-danger" onclick="return deleteRegistry('Customer.php?action=delete&id=<?php echo $customer['id']?>')" 
                                               href="#"><i class="fa fa-trash"></i>
                                        </a>
                                    </td>
                                </tr><?php
                            }                   
                        }?>
                    </tbody>
                </table>
                </div>
            </div>                
        </div>
    </div>
</div>
<script type="text/javascript" language="javascript">
    $('#tblCustomers').DataTable({paginate:false,filter:true,aaSorting:[]});
    $('#tblCustomers')
            .removeClass( 'display' )
            .addClass('table table-striped table-bordered');
</script>