<!-- Page Heading -->
<div class="row" style="height: 30%">
    <div class="col-lg-12" style="height: 90%">
        <div class="panel panel-default" style="height: 100%">
            <div class="panel-heading"><h4><i class='fa-fw fa fa-check-circle-o'></i><?php echo $_translator->_getTranslation('Tareas y Tickets proximos a vencer por usuario');?></h4></div>
            <div class="panel-body" style="height: 100%">
                <?php
                if($_listTasksByUser){?>
                    <ul class="list-summary-taskByUser"><?php
                        foreach($_listTasksByUser as $tasksByUser){?>
                            <li><h4><?php echo $tasksByUser['tasks']?><br><small><?php echo $tasksByUser['assigned_to_name'] ?></small></h4></li>
                            <li><h4><?php echo $tasksByUser['tasks']?><br><small><?php echo $tasksByUser['assigned_to_name'] ?></small></h4></li><?php
                        }?>
                    </ul><?php
                } ?>                 
                </ul>
            </div>                
        </div>
    </div>    
</div>
<div class="row" style="height: 70%">
    <div class="col-lg-12" style="height: 90%">
        <div class="panel panel-default" style="height: 100%">
            <div class="panel-heading"><h4><i class='fa-fw fa fa-check-circle-o'></i><?php echo $_translator->_getTranslation('Tareas y Tickets proximos a vencer');?></h4></div>
            <div class="panel-body" style="height: 100%">
                <div class="table-responsive">
                <table id="tblTasks" class="table table-bordere table-striped table-hover table-condensed table-scroll" style="font-size: 10px;height: 100%;">
                    <thead>
                        <tr>
                        <th class="text-center"><?php echo $_translator->_getTranslation('Cliente');?></th>
                        <th class="text-center"><?php echo $_translator->_getTranslation('Empresa');?></th>
                        <th class="text-center"><?php echo $_translator->_getTranslation('Nombre');?></th>
                        <th class="text-center"><?php echo $_translator->_getTranslation('Categoria');?></th>                      
                        <th class="text-center"><?php echo $_translator->_getTranslation('Fecha entrega');?></th>                      
                        <th class="text-center"><?php echo $_translator->_getTranslation('Asignado a');?></th>                                          
                        <th class="text-center"><?php echo $_translator->_getTranslation('Prioridad');?></th> 
                        <th class="text-center">Accion</th>
                        </tr>
                    </thead>
                    <tbody id="contain">
                    <?php 
                    if($_listTasks){
                        $class = '';
                        $color_alert_due_date = array('0'=>'task-bg-danger','-1'=>'task-bg-danger','-2'=>'task-bg-warning','-3'=>'task-bg-warning');
                        foreach($_listTasks as $task){
                            if($task['days_past_due'] > 0){$class = 'task-bg-danger';}
                            elseif(key_exists($task['days_past_due'], $color_alert_due_date)){$class = $color_alert_due_date[$task['days_past_due']];}else{$class = '';} ?>
                            <tr class="view_task <?php echo $class; ?>" style="cursor:pointer" data-id_task="<?php echo $task['id'] ?>">
                                <td class="text-center" style="width:10%"><?php echo $task['customer_name']?></td>
                                <td class="text-center" style="width:10%"><?php echo $task['project_name']?></td>                                    
                                <td class="text-center" style="width:28%"><?php echo $task['description']?></td>
                                <td class="text-center" style="width:8%"><?php echo $task['category_name']?></td>
                                <td class="text-center" style="width:8%"><?php echo $task['due_at_formated']?></td>                                    
                                <td class="text-center" style="width:10%"><?php echo $task['assigned_to_name']?></td>
                                <td class="text-center" style="width:8%"><?php echo $task['priority_name']?></td>
                                <td class="text-center options" style="width:8%">
                                    <a class="btn btn-xs btn-default" href="<?php echo $task['type']?>.php?action=edit&id=<?php echo $task['id']?>"><i class="fa fa-pencil"></i></a>                                        
                                    <button class="btn btn-xs btn-default addComment" data-id_task="<?php echo $task['id'] ?>" data-toggle='modal' data-target='#modalAddComment'><i class="fa fa-check"></i> </button>            
                                    <div class="dropup" style="display:inline-block">
                                        <button class="btn btn-xs btn-default dropdown-toggle" style='width: 25px;' type="button" data-toggle="dropdown"><i class="fa fa-ellipsis-v"></i></button>
                                        <ul class="dropdown-menu pull-right">
                                          <li><a onclick="return deleteRegistry('Task.php?action=delete&id=<?php echo $task['id']?>')" href="#"><?php echo $_translator->_getTranslation('Eliminar')?></a></li>
                                        </ul>
                                    </div> 

                                </td>
                            </tr><?php
                        }                   
                    }?>
                    <tr style="height: 250px"></tr>
                    </tbody>
                </table>
            </div>
            </div>
        </div>
    </div>
</div>
<style>
    /* TABLE SCROLL */
table.table-scroll tbody,
table.table-scroll thead {
    display: block; 
    width: 100%;
}

table.table-scroll thead th {
    height: 30px;
}

table.table-scroll tbody {
    max-height: 250px; 
    overflow-y: auto
}

</style>
<script>
    // Change the selector if needed
    var $table = $('table.table-scroll'),
        $bodyCells = $table.find('tbody tr:first').children(),
        colWidth;

    // Get the tbody columns width array
    colWidth = $bodyCells.map(function() {
        return $(this).width();
    }).get();

    // Set the width of thead columns
    $table.find('thead tr').children().each(function(i, v) {
        $(v).width(colWidth[i]+10);
    });    

    var my_time;
    $(document).ready(function() {
      pageScroll();
      $("#contain").mouseover(function() {
        clearTimeout(my_time);
      }).mouseout(function() {
        pageScroll();
      });
    });

    function pageScroll() {
        var objDiv = document.getElementById("contain");
        if(objDiv.height > 250){return null;}          
        
        objDiv.scrollTop = objDiv.scrollTop + 1;  
        $('p:nth-of-type(1)').html('scrollTop : '+ objDiv.scrollTop);
        $('p:nth-of-type(2)').html('scrollHeight : ' + objDiv.scrollHeight);
        if (objDiv.scrollTop === (objDiv.scrollHeight - 250)) {
            objDiv.scrollTop = 0;
            my_time = setTimeout('pageScroll()', 5000);
        }else{
            my_time = setTimeout('pageScroll()', 25);
        }        
    }
</script>