<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){
                $customerAction = $_translator->_getTranslation('Editar ')." - ".$_form->getValueElement('name');
                $fafonts = 'fa-square-o';
                if($_parents){
                    $currentAction .= "<li><a href='Project.php?action=edit&id={$_project_id}&tab={$_tab}'><i class='fa fa-building-o'></i> {$_project_name}</a></li>";
                    foreach($_parents as $parent){
                        if($parent['completed']==='1'){$fafonts = "fa-check-square-o";}
                        $currentAction .= "<li><a href='Task.php?action=edit&id={$parent['id']}'><i class='fa $fafonts'></i> {$parent['name']}</a></li>";
                    }
                }
                
                $agregarNuevo = "<a href='Task.php' class='btn btn-sm btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar Tarea')."</a>";
                $agregarNuevo .= '<hr>';
            }elseif($action =='subtask'){
                #aqui entra cuando se hace click en boton Agregar subtarea.
                #Si estando registrando la Subtarea hacen click en terminar, y el formulario es invalido, de va a insert
                $customerAction = $_translator->_getTranslation('Agregar Subtarea');                
                $fafonts = 'fa-square-o';
                if($_parents){
                    foreach($_parents as $parent){
                        if($parent['completed']==='1'){$fafonts = "fa-check-square-o";}
                        $currentAction .= "<li><a href='Task.php?action=edit&id={$parent['id']}'><i class='fa $fafonts'></i> {$parent['name']}</a></li>";}
                }
                $currentAction .= "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar subtarea')."</li>";
            }elseif($action =='' || $action =='insert'){
                $customerAction = $_translator->_getTranslation('Agregar Tarea');
                if(isset($_subtask)){$customerAction = $_translator->_getTranslation('Agregar Subtarea');    }
                
                if(isset($_parents)){
                    foreach($_parents as $parent){
                        if($parent['completed']==='1'){$fafonts = "fa-check-square-o";}
                        $currentAction .= "<li><a href='Task.php?action=edit&id={$parent['id']}'><i class='fa $fafonts'></i> {$parent['name']}</a></li>";}
                }
                
                $currentAction .= "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Home')?></a></li>
            <li class="active"><i class="fa fa-check-circle-o"></i> <a href="<?php echo ROOT_HOST?>/Controller/Task.php?action=list"><?php echo $_translator->_getTranslation('Lista de Tareas')?></a></li>
            <!--<li class="active"><i class="fa fa-check-circle-o"></i> <?php echo $_translator->_getTranslation('Tareas')?></li>-->
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
        <div class="panel panel-default">
            <div class="panel-heading"><h4><i class='fa-fw fa fa-check-circle-o'></i><?php echo $customerAction;?></h4></div>
            <div class="panel-body">
                <div class="col-md-12">  
                    <div class="col-md-12 col-xs-12 text-right">
                       <?php echo $agregarNuevo;?>                        
                       <div class="clear"></div>
                   </div>
                   <?php 
                   echo $_form->openForm();
                   echo $_form->showActionController();
                   echo $_form->showId();?>
                   <div style="display: none">
                       <?php 
                        echo $_form->showElement('parent_id');
                        echo $_form->showElement('project_name');
                        echo $_form->showElement('customer_name');
                        echo $_form->showElement('ticket_id');
                        echo $_form->showElement('work_status');
                        ?>
                   </div>
                    <div class="card">
                        <ul class="nav nav-tabs" role="tablist">
                            <li role="presentation" class="active"><a href="#information" aria-controls="home" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Informacion') ?></a></li>
                            <li role="presentation"><a href="#schedule" aria-controls="profile" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Programar') ?></a></li>                
                        </ul>
                        <div class="tab-content m-t-3">
                            <div role="tabpanel" class="tab-pane active" id="information">
                                <div class="col-md-6 col-xs-12">           
                                    <?php echo $_form->showElement('customer_id');?>
                                    <?php echo $_form->showElement('project_id');?>
                                    <?php echo $_form->showElement('group_id');?>
                                    <?php echo $_form->showElement('category_id');?>                            
                                    <?php echo $_form->showElement('name');?>
                                    <?php echo $_form->showElement('description');?>  
                                    <?php 
                                    if(isset($_precedidoDeTicket)){?> 
                                        <a class="col-lg-offset-3 col-md-offset-3 col-xs-offset-3 view_ticket" style="cursor: pointer" data-id_ticket="<?php echo $_form->getValueElement('ticket_id') ?>" ><?php echo $_translator->_getTranslation('Tarea precedida de ticket #').$_form->getValueElement('ticket_id')?></a><?php                             
                                    } ?>                       
                                </div>
                                <div class="col-md-6 col-xs-12">      
                                    <?php echo $_form->showElement('due_at');?>                                                     
                                    <?php echo $_form->showElement('priority_id');?> 
                                    <?php echo $_form->showElement('assigned_to_id');?>                                                 
                                    <?php echo $_form->showElement('completed');?>
                                    <?php echo $_form->showElement('bill');?>
                                    <?php echo $_form->showElement('time_worked');?>                                   
                                </div>
                            </div>
                            <div role="tabpanel" class="tab-pane" id="schedule">
                                <div class="col-md-6 col-xs-12">      
                                    <?php echo $_form->showElement('recurrent');?>  
                                    <?php echo $_form->showElement('recurrent_interval');?>                            
                                    <?php echo $_form->showElement('recurrent_size');?>
                                    <?php echo $_form->showElement('recurrent_start_date');?>
                                </div>
                            </div>                            
                        </div>
                    </div>          
                    <div class="clear"></div>
                    <div class="text-right">
                        <?php $element = $_form->getElement('send'); echo $_form->createOnlyElement($element);?>
                        <?php $element = $_form->getElement('cancelar'); echo $_form->createOnlyElement($element);?>
                    </div>                                                         
                </div>        
                <?php echo $_form->closeForm();?>
                <div class="clear"></div>
                <?php
                if($action === 'edit'){?>
                    <div class="col-lg-12 col-md-12">
                        <h3 class="page-header">
                            <?php echo $_translator->_getTranslation('Subtareas'); ?>
                            <a class="btn btn-sm btn-default pull-right" href="Task.php?action=subtask&id=<?php echo $_form->getId(); ?>"><i class="fa fa-plus"></i> <span class="hidden-xs"><?php echo $_translator->_getTranslation('Agregar subtarea'); ?></span></a>  
                        </h3> 
                        <div class="clear"></div>
                    </div>              
                    <?php 
                    if($_subtasks){?>
                        <div class="col-lg-12 col-md-12">
                            <ul class="subtasks"><?php
                            foreach ($_subtasks as $subtask){
                                $faclass = 'fa-square-o';
                                $textClass = 'text-warning';
                                if($subtask['completed'] === '1'){$faclass = 'fa-check-square-o';$textClass = 'text-success';}?>
                                <li><h4><a href="Task.php?action=edit&id=<?php echo $subtask['id'];?>" class="<?php echo $textClass;?>"><i class="fa <?php echo $faclass;?>"></i> <?php echo $subtask['name'] ?></a></h4></li><?php                    
                            }?>
                            </ul>
                        </div><?php
                    }?>   
                    <div class="col-lg-12 col-md-12">
                        <h3 class="page-header"> 
                            <?php echo $_translator->_getTranslation('Comentarios'); ?>
                            <a class="btn btn-sm btn-default pull-right" data-toggle='modal' data-target='#modalAddComment'><i class="fa fa-comment-o"></i> <span class="hidden-xs"><?php echo $_translator->_getTranslation('Agregar comentario'); ?></span></a>  
                        </h3><?php 
                        
                        include ROOT."/View/Modal/addComment.php";
                        
                        if($_comments){?>
                            <ul class="comments"><?php
                                foreach($_comments as $comment){?>
                                <li>
                                    <div class="comment_content">
                                        <div class="fa fa-comment pull-right text-muted" style="color: #cdcdcd"></div>
                                        <strong><?php echo $_translator->_getTranslation('Comentario'); ?></strong>
                                        <p><?php echo $comment['content'];?></p><?php
                                        if(key_exists($comment['id'], $_files)){?>
                                            <ul class="files"><?php
                                                foreach($_files[$comment['id']] as $key => $file){?>
                                                    <li>
                                                        <span class="btn btn-xs btn-danger delete_attached_file" data-id_attached_file="<?php echo $file['id'] ?>"><i class="fa fa-trash"></i></span> 
                                                        <a href="<?php echo ROOT_DISCUSSIONS_DOCS.$file['system_file_name'] ?>" target="_blank"><?php echo $file['input_file_name'] ?></a>
                                                    </li><?php
                                                }?>
                                            </ul><?php
                                        }?>
                                        <div class="small comment-footer">
                                            <i class="fa fa-calendar"></i> <?php  echo $_translator->_getTranslation('Creado por')." "?><span class='text-primary'><?php echo $comment['created_by_name']; ?></span><span> <?php echo $comment['created_at_formated']?></span>
                                        </div>
                                    </div>
                                </li><?php
                                }?>
                            </ul><?php
                        }  ?>
                    </div><?php
                } ?>  
            </div>
        </div>
    </div>
    <?php include ROOT."/View/Modal/viewTicket.php";?>
    <style>#time_worked{background-color: #fff;}</style>
</div>
<script>
    $('form[name=task] select').select2();
    $('#completed,#bill,#recurrent').simpleSwitch();
    $("#due_at,#recurrent_start_date").datetimepicker({format: "MM/DD/YYYY"});
    
    $('.save_comments').on('click',function(){
        $('#comments_id_task').val($("form[name=task] #id").val());
        saveComments();
    });
    
    $('.delete_attached_file').on('click',function(){        
        deleteAtachedFile($(this).data('id_attached_file'));
    });
    
   $('.view_ticket').on('click',function(e){
        $('#comments_id_task').val($(this).data('id_ticket'));
        viewTicket($(this).data('id_ticket'),function(){$('#modalViewTicket .page-header a').hide();});           
    });    
    
    $('._workStatus').on('click',function(){
        workStatusTask(this);
    });
</script>