<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){
                $customerAction = $_translator->_getTranslation('Editar Ticket ');
                 $currentAction .= "<li><a href='Project.php?action=edit&id={$_project_id}&tab=3'><i class='fa fa-building-o'></i> {$_project_name}</a></li>";
                $fafonts = 'fa-square-o';
                $agregarNuevo = "<a href='Ticket.php' class='btn btn-sm btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar Ticket')."</a>";
                $agregarNuevo .= '<hr>';
            }elseif($action =='' || $action =='insert'){
                $customerAction = $_translator->_getTranslation('Agregar Ticket');
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Home')?></a></li>
            <li class="active"><i class="fa fa-ticket"></i> <a href="<?php echo ROOT_HOST?>/Controller/Ticket.php?action=list"><?php echo $_translator->_getTranslation('Lista de Tickets')?></a></li>
            <!--<li class="active"><i class="fa fa-ticket"></i> <?php echo $_translator->_getTranslation('Tickets')?></li>-->
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
        <div class="panel panel-default">
            <div class="panel-heading"><h4><i class='fa-fw fa fa-ticket'></i><?php echo $customerAction;?></h4></div>
            <div class="panel-body">
                <div class="col-md-12">  
                    <div class="col-md-12 col-xs-12 text-right">
                       <?php echo $agregarNuevo;?>                        
                       <div class="clear"></div>
                   </div>
                   <?php 
                   echo $_form->openForm();
                   echo $_form->showActionController();
                   echo $_form->showId();
                   ?>
                   <div class="col-md-6 col-xs-12">                                 
                       <?php echo $_form->showElement('customer_id');?>
                       <?php echo $_form->showElement('project_id');?>
                       <?php echo $_form->showElement('group_id');?>
                       <?php echo $_form->showElement('category_id');?>  
                       <?php echo $_form->showElement('name');?>  
                       <?php echo $_form->showElement('description');?>  
                    </div>
                    <div class="col-md-6 col-xs-12">      
                       <?php echo $_form->showElement('contact');?>
                       <?php echo $_form->showElement('due_at');?>                                                     
                       <?php echo $_form->showElement('priority_id');?> 
                       <?php echo $_form->showElement('assigned_to_id');?>                                                 
                       <?php echo $_form->showElement('completed');?>
                    <div class="text-right">
                        <?php $element = $_form->getElement('send'); echo $_form->createOnlyElement($element);?>
                        <?php $element = $_form->getElement('cancelar'); echo $_form->createOnlyElement($element);?>
                    </div>                                                         
                  </div>
                </div>        
                <?php echo $_form->closeForm();?>
                <div class="clear"></div>
                <?php
                if($action === 'edit'){?>                
                    <div class="col-lg-12 col-md-12">
                        <h3 class="page-header"> 
                            <?php echo $_translator->_getTranslation('Comentarios'); ?>
                            <a class="btn btn-sm btn-default pull-right" data-toggle='modal' data-target='#modalAddComment'><i class="fa fa-comment-o"></i> <span class="hidden-xs"><?php echo $_translator->_getTranslation('Agregar comentario'); ?></span></a>  
                        </h3><?php 
                        
                        include ROOT."/View/Modal/addComment.php";
                        
                        if($_comments){?>
                            <ul class="comments"><?php
                                foreach($_comments as $comment){?>
                                <li>
                                    
                                    <div class="comment_content">
                                        <div class="fa fa-comment pull-right text-muted" style="color: #cdcdcd"></div>
                                        <strong><?php echo $_translator->_getTranslation('Comentario'); ?></strong>
                                        <p><?php echo $comment['content'];?></p><?php
                                        if(key_exists($comment['id'], $_files)){?>
                                            <ul class="files"><?php
                                                foreach($_files[$comment['id']] as $key => $file){?>
                                                    <li>
                                                        <span class="btn btn-xs btn-danger delete_attached_file" data-id_attached_file="<?php echo $file['id'] ?>"><i class="fa fa-trash"></i></span> 
                                                        <a href="<?php echo ROOT_DISCUSSIONS_DOCS.$file['system_file_name'] ?>" target="_blank"><?php echo $file['input_file_name'] ?></a>
                                                    </li><?php
                                                }?>
                                            </ul><?php
                                        }?>
                                        <div class="small comment-footer">
                                            <i class="fa fa-calendar"></i> <?php  echo $_translator->_getTranslation('Creado por')." "?><span class='text-primary'><?php echo $comment['created_by_name']; ?></span><span> <?php echo $comment['created_at_formated']?></span>
                                        </div>
                                    </div>
                                    </blockquote>
                                </li><?php
                                }?>
                            </ul><?php
                        }  ?>
                    </div><?php
                } ?>  
            </div>
        </div>
    </div>
    <?php 
    if(isset($_completed)){ ?> 
    <script> 
        $.alert({ 
            title:"<i class='fa fa-info-circle'></i> Mensaje", 
            content:'Registrar nueva Tarea a causa de Ticket ?',
            columnClass: 'col-md-6 col-md-offset-3',
            buttons: {   
                ok: {
                    text: 'Yes',
                    btnClass: 'btn-primary',
                    keys: ['enter'],
                    action: function(){document.location = 'Task.php?tid='+$('form[name=ticket] #id').val();}
                },
                cancel: {
                    text: 'No',
                    btnClass: 'btn-default',
                    keys: ['enter'],
                    action: function(){$(this).remove();}
                }
            }                      
        });      
    </script>
    <?php } ?>
</div>
<script>
    
    $('#customer_id,#project_id,#group_id,#category_id,#priority_id,#assigned_to_id').select2();
    $('#completed').simpleSwitch();
    $("#due_at").datetimepicker({format: "MM/DD/YYYY"});
    
    $('.save_comments').on('click',function(){
        $('#comments_id_task').val($("form[name=ticket] #id").val());
        saveCommentsTickets(function(){document.location.reload();});
    });
    
    $('.delete_attached_file').on('click',function(){        
        deleteAtachedFile($(this).data('id_attached_file'));
    });
</script>