<div class="container-title"></div>
<div class="row">
    <div class="col-lg-12"><ol class="breadcrumb">
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Inicio')?></a></li>
            <li class="active"><i class="fa fa-ticket"></i> <?php echo $_translator->_getTranslation('Lista de Tickets')?></li>
        </ol>
    </div>
</div>
<div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
<div class="box">
    <div class="box-header">       
        <h3><i class='fa-fw fa fa-ticket'></i><?php echo $_translator->_getTranslation('Lista de Tickets');?></h3>
        <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
    </div>
    <div class='box-content'>
        <div class='row'>
            <div class="col-lg-12">
                 <div class='pull-right'>
                    <a href='Ticket.php' class='btn btn-sm btn-default'><i class='fa fa-plus'></i> <?php echo $_translator->_getTranslation('Agregar Ticket')?></a>
                    <!--<button class="btn btn-sm btn-default" data-toggle='modal' data-target='#modalFiltroManifest'><i class="fa fa-search-plus"></i> <?php echo $_translator->_getTranslation('Busqueda avanzada')?></button> -->
                </div>
                    <div class="clear"></div>
                <hr/>
                <div class='table-responsive'>
                    <table id="tblTickets" class="table table-striped table-hover table-condensed" style="font-size: 10px">
                    <thead>
                    <th class="text-center"><?php echo $_translator->_getTranslation('Cliente');?></th>
                    <th class="text-center"><?php echo $_translator->_getTranslation('Empresa');?></th>
                    <th class="text-center"><?php echo $_translator->_getTranslation('Nombre');?></th>
                    <th class="text-center"><?php echo $_translator->_getTranslation('Categoria');?></th>                      
                    <th class="text-center"><?php echo $_translator->_getTranslation('Fecha entrega');?></th>                      
                    <th class="text-center"><?php echo $_translator->_getTranslation('Asignado a');?></th>                                          
                    <th class="text-center"><?php echo $_translator->_getTranslation('Prioridad');?></th> 
                    <th class="col-lg-1 text-center">Accion</th>
                    </thead>
                    <tfoot class="text-primary">
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                    </tfoot>
                    <tbody>
                    <?php 
                        if($_listTickets){
                            foreach($_listTickets as $ticket){?>
                                <tr class="view_ticket" style="cursor:pointer" data-id_task="<?php echo $ticket['id'] ?>">
                                    <td class="text-center"><?php echo $ticket['customer_name']?></td>
                                    <td class="text-center"><?php echo $ticket['project_name']?></td>                                    
                                    <td class="text-center" style="white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width: 200px"><?php echo $ticket['name']?></td>
                                    <td class="text-center"><?php echo $ticket['category_name']?></td>
                                    <td class="text-center"><?php echo $ticket['due_at_formated']?></td>                                    
                                    <td class="text-center"><?php echo $ticket['assigned_to_name']?></td>
                                    <td class="text-center"><?php echo $ticket['priority_name']?></td>
                                    <td class="text-center options">
                                        <a class="btn btn-xs btn-default" href="Ticket.php?action=edit&id=<?php echo $ticket['id']?>"><i class="fa fa-pencil"></i></a>                                        
                                        <button class="btn btn-xs btn-default addComment" data-id_task="<?php echo $ticket['id'] ?>" data-toggle='modal' data-target='#modalAddComment'><i class="fa fa-check"></i> </button>            
                                        <div class="dropup" style="display:inline-block">
                                            <button class="btn btn-xs btn-default dropdown-toggle" type="button" data-toggle="dropdown"><i class="fa fa-ellipsis-v"></i></button>
                                            <ul class="dropdown-menu pull-right">
                                              <li><a onclick="return deleteRegistry('Ticket.php?action=delete&id=<?php echo $ticket['id']?>')" href="#"><?php echo $_translator->_getTranslation('Eliminar')?></a></li>
                                            </ul>
                                        </div> 
                                        
                                    </td>
                                </tr><?php
                            }                   
                        }?>
                    </tbody>
                </table>
                </div>
            </div>                
        </div>
    </div>
    <?php include ROOT."/View/Modal/viewTicket.php";?>
    <?php include ROOT."/View/Modal/addComment.php";?>
</div>
<style>
    tfoot {
        display: table-header-group;
    }
</style>
<script type="text/javascript" language="javascript">    
    $('#tblTickets').on('click','button.addComment',function(){
        $('#modalAddComment .modal-footer').empty().prepend("<div class='col-lg-6 col-md-6 col-sm-12 pull-right'> <button class='btn btn-default pull-right m-t-3 save_comments_and_complete'>Agregar comentario y cerrar ticket</button></div>");
        $('#comments_id_task').val($(this).data('id_task'));
    });
    
    $('.save_comments').on('click',function(){
        saveCommentsTickets(function(){
            document.location.reload();
        });
    });   
    
    $('.save_comments_and_complete').on('click',function(){
        saveCommentsTickets(function(){
            completeTicket($('#comments_id_task').val());
        });
    });    
    
    $('#tblTickets').on('click','tr.view_ticket',function(e){
        if (!$(e.target).closest('.options').length) {
            $('#comments_id_task').val($(this).data('id_task'));
            viewTicket($(this).data('id_task'));
        }       
    });    
    
    $('#tblTickets').removeClass( 'display' ).addClass('table table-striped table-bordered');
    var dt = $('#tblTickets').DataTable({
                paginate:true,
                iDisplayLength :100,
                filter:true,
                bFilter:true,
                aaSorting:[],
                //dom: 'Bfrtip',
                initComplete: function () {
                    this.api().columns('0,1,2,3,4,5,6').every( function () {var column = this;
                        var select = $('<select class="col-md-12"><option value=""></option></select>')
                            .appendTo( $(column.footer()).empty() )
                            .on( 'change', function () {
                                var val = $.fn.dataTable.util.escapeRegex(
                                    $(this).val()
                                );

                                column
                                    .search( val ? '^'+val+'$' : '', true, false )
                                    .draw();
                            } );

                        column.data().unique().sort().each( function ( d, j ) {
                            select.append( '<option value="'+d+'">'+d+'</option>' )
                        } );
                    } );
                }
            });
</script>