<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){
                $userAction = $_translator->_getTranslation('Editar Usuario');
                $currentAction = "<li class='active'><i class='fa fa-user'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='User.php' class='btn btn-sm btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar usuario')."</a>";
                $agregarNuevo .= '<hr>';
            }elseif($action =='' || $action =='insert'){
                $userAction = $_translator->_getTranslation('Agregar Usuario');
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Home')?></a></li>
            <li class="active"><i class="fa fa-user"></i> <?php echo $_translator->_getTranslation('Usuarios')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<?php if($_login->getRole()==='1'){?>
        <div class="row">
            <div class="col-lg-12">
                <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
                <div class="box">
                    <div class="box-header">       
                        <h3><i class='fa-fw fa fa-user'></i><?php echo $_translator->_getTranslation('Usuarios');?></h3>
                        <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
                    </div>
                    <div class='box-content'>
                        <div class="row">
                            <div class="col-lg-12">  
                                <div class="col-md-12 col-xs-12 text-right">
                                    <?php echo $agregarNuevo;?>                        
                                    <div class="clear"></div>
                                </div>
                                <?php 
                                    echo $form->openForm();
                                    echo $form->showActionController();
                                    echo $form->showId();
                                    ?>
                                <div class="col-lg-6">                           
                                    <?php echo $form->showElement('usuario');?>
                                    <?php echo $form->showElement('contrasena');?> 
                                    <?php echo $form->showElement('role');?>     
                                    <?php //echo $form->showElement('id_customer');?>       
                                    <?php echo $form->showElement('status');?>
                                </div>
                               <div class="col-lg-6">
                                    <?php echo $form->showElement('nombre');?>
                                    <?php echo $form->showElement('apellido');?>
                                    <?php echo $form->showElement('telefono');?>
                                    <?php echo $form->showElement('email');?>                                                  
                                    <div class="col-lg-12 col-md-12 text-right p-r-0">
                                         <?php $element = $form->getElement('send'); echo $form->createOnlyElement($element);?>
                                        <?php $element = $form->getElement('cancelar'); echo $form->createOnlyElement($element);?>                               
                                    </div>
                                </div>
                                </div>        
                                <?php echo $form->closeForm();?>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <hr/>
                                <div class='table-responsive'>
                                <table id="tblUsers" class="table table-striped table-hover table-condensed">
                                    <thead>
                                    <th class="text-center"><?php echo $_translator->_getTranslation('Accion')?></th>
                                    <th class="text-center"><?php echo $_translator->_getTranslation('Usuario')?></th>
                                    <th class="text-center"><?php echo $_translator->_getTranslation('Nombre')?></th>
                                    <th class="text-center"><?php echo $_translator->_getTranslation('Apellido')?></th>  
                                    <th class="text-center"><?php echo $_translator->_getTranslation('Rol')?></th>
                                    <th class="text-center"><?php echo $_translator->_getTranslation('Status')?></th>
                                    </thead>
                                    <tbody>
                                    <?php 
                                        if($_listUsers){
                                            foreach($_listUsers as $user){?>
                                                <tr>
                                                    <td class="text-center">
                                                        <a href="User.php?action=edit&id=<?php echo $user['id']?>"><i class="fa fa-pencil btn btn-sm btn-default"></i></a>
                                                        <a href="User.php?action=delete&id=<?php echo $user['id']?>" class="btn btn-sm btn-danger" onclick="return confirmDelete('<?php echo $_translator->_getTranslation('Esta seguro de cancelar este registro ?')?>',this)" ><i class="fa fa-trash"></i></a>
                                                    </td>
                                                    <td class="text-center"><?php echo $user['usuario']?></td>
                                                    <td class="text-center"><?php echo $user['nombre']?></td>
                                                    <td class="text-center"><?php echo $user['apellido']?></td>     
                                                    <td class="text-center"><?php echo $user['roleName']?></td>
                                                    <td class="text-center"><?php echo $user['statusName']?></td>
                                                </tr><?php
                                            }                   
                                        }?>
                                    </tbody>
                                </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
<?php }?>
<script type="text/javascript" language="javascript">        
    $('#status,#role').select2();
    $('#id_customer').select2({multiple:true});
    $('#tblUsers').DataTable( {paginate:true,filter:true});
    $('#tblUsers')
            .removeClass( 'display' )
            .addClass('table table-striped table-bordered');
</script>