<?php 
session_start();

$root = realpath($_SERVER["DOCUMENT_ROOT"].'');

//Data Base parameters
include $root . '/app/config/dbConfig.php';

//Autoloader
include $root.'/app/config/autoloader.php';
spl_autoload_register('autoloader::autoloadClasses');   

//Globals Vars
include $root.'/app/config/appConfig.php';

//ACL
include $root.'/app/include/acl.php';

//FlashMessenger
$flashmessenger = new FlashMessenger();

//Translator _en Default
$_translator = new Translator();

//Settings Default
$_settings = new SettingsEntity();

//Login
$_login = new Login();
$_login->setCurrentController($controller);