<?php 
$controller = 'Project';
$action = '';
if(isset($_POST['action'])){
    $action = $_POST['action'];
    if (isset($_POST['id'])) {$id = $_POST['id'];}
}elseif(isset($_GET['action'])){
    $action = $_GET['action'];
    if (isset($_GET['id'])) {$id = $_GET['id'];}
}
include $_SERVER["DOCUMENT_ROOT"].'/app/include/bootstrap.php';

$_form = new ProjectForm();
$_project = new ProjectEntity();
$_activeTab = 0;

switch($action){
    case 'insert':
        $_form->populate($_POST);
        if($_form->isValid()){
            $_project->setOptions($_POST);
            $result = $_project->save($_project->getOptions());
            if($result){
                $flashmessenger->addMessage(array('success'=>'Genial !! El Proyecto se registro exitosamente.'));
                header('Location: Project.php');
            }else{
                $flashmessenger->addMessage(array('danger'=>'Oops !!, algo salio mal al intentar registrar Empresa. Intenta nuevamente o contacta a tu proveedor de sistemas.'));
            }
        }else{
            $vista = 'Project.php';
            include $root.'/View/Template.php';
        }
        break;
        
    case 'list':        
        $_listProjects = $_project->getListProjects();
        
        $vista = 'ProjectList.php';
        include $root . '/View/Template.php';
        break;
   
    case 'edit':
        if(isset($_GET['tab'])){$_activeTab = $_GET['tab'];}
        $_primaryTasks = $_project->getPrimaryTasks(array('project_id'=>$id));
        $_secondaryTasks = $_project->getSecondaryTasks(array('project_id'=>$id));
        $_tickets = $_project->getTickets(array('project_id'=>$id));
        $_files = $_project->getFilesByProjectId($id);
        
        if($_GET){
            $_projectData = $_project->getById($id);
            $_projectData['customer_id'] = $_project->customersStringToArray($_projectData['customer_id']);
        }
        if($_POST){$_projectData = $_POST;}
        
        $customersData = null;
        if(isset($_projectData['customer_id'])){
            $customersData = $_project->getCustomersByIds($_projectData['customer_id']);            
        }        
        
        $_form->setActionController('edit');
        $_form->setId($id);
        $_form->populate($_projectData);
        
        if(isset($_POST['id'])){
            if($_form->isValid()){
                $_project->setOptions($_projectData);
                $result = $_project->update($id,$_project->getOptions()); //no tengo id porque viene de post
                if($result){
                    $flashmessenger->addMessage(array('success'=>'Estupendo !! El Proyecto se actualizo exitosamente.'));
                    header("Location: Project.php?action=edit&id=$id");
                }else{
                    $flashmessenger->addMessage(array('danger'=>'Oops !!, algo salio mal al intenta actualizar el Proyecto. Intenta nuevamente o contacta a tu proveedor de sistemas.'));
                }       
            }else{
                $vista = 'Project.php';
                include $root . '/View/Template.php';
            }
        }else{
            $vista = 'Project.php';
            include $root . '/View/Template.php';
        }        
        break;
    
    case 'delete': 
        if(!$_project->isUsedInRecord($id)){
            if($_project->delete($id)){
                $flashmessenger->addMessage(array('success'=>'Hecho !! El Proyecto se elimino satisfactoriamente.'));                
            }
        }else{
            $message = 'Oops !!, esta Categoria no puede ser eliminada, esta siendo utilizada en almenos un registro.';
            $flashmessenger->addMessage(array('info'=>$message));
        }
        header('Location: Project.php');
        break;  
        
    case 'ajax':
        $ajaxPos = new ProjectAjax();
        
        if($_POST['request'] === 'saveDocuments'){$_POST['documents'] = $_FILES;}        
        $json = $ajaxPos->getResponse($_POST['request'],$_POST);
        
        echo json_encode($json);
        break;   
    
    default:
        $vista = 'Project.php';
        include $root.'/View/Template.php';
}