<?php
//var_dump($_FILES);exit;
$controller = 'Task';
$action = '';
if(isset($_POST['action'])){
    $action = $_POST['action'];
    if (isset($_POST['id'])) {$id = $_POST['id'];}
}elseif(isset($_GET['action'])){
    $action = $_GET['action'];
    if (isset($_GET['id'])) {$id = $_GET['id'];}
}
include $_SERVER["DOCUMENT_ROOT"].'/app/include/bootstrap.php';

$_form = new TaskForm();
$_task = new TaskEntity();

switch($action){
    case 'insert':
        $_form->populate($_POST);
        if($_POST['parent_id'] !== ''){
            $_subtask = true;
            $parents = $_task->getParents($_POST['parent_id']);    
            $_parents = null;
            #voltear arreglo para mostrar primero tareas y luego subtareas
            while (count($parents) > 0){
                $_parents[] = array_pop($parents);               
            } 
        }
        
        if($_form->isValid()){
            $_task->setOptions($_POST);
            $result = $_task->save($_task->getOptions());
            if($result){
                $flashmessenger->addMessage(array('success'=>'Genial !! La Tarea se registro exitosamente.'));
                header('Location: Task.php?action=edit&id='.$_task->getLastInsertId());
            }else{
                $flashmessenger->addMessage(array('danger'=>'Oops !!, algo salio mal al intentar registrar Tarea. Intenta nuevamente o contacta a tu proveedor de sistemas.'));
            }
        }else{
            $vista = 'Task.php';
            include $root.'/View/Template.php';
        }
        break;
        
    case 'list':        
        $_listTasks = $_task->getListTasks();
        
        $vista = 'TaskList.php';
        include $root . '/View/Template.php';
        break;
   
    case 'edit': 
        $_subtasks = $_task->getSubtask($id);
        $_comments = $_task->getComments($id);
        $_files = $_task->getFilesGroupedByIdComment($id);
        
        $parents = $_task->getParents($id);    
        $_parents = null;
        #voltear arreglo para mostrar primero tareas y luego subtareas
        while (count($parents) > 0){
            $_parents[] = array_pop($parents);               
        }
        
        if($_GET){
            $_taskData = $_task->getById($id);
            if($_taskData['completed']==='1'){$_form->addOptionals('completed', array('checked'=>'checked'));}
            if($_taskData['bill']==='1'){$_form->addOptionals('bill', array('checked'=>'checked'));}
            if($_taskData['recurrent']==='1'){$_form->addOptionals('recurrent', array('checked'=>'checked'));}
        }
        
        if($_POST){
            $_taskData = $_POST;
            if(isset($_taskData['completed'])){$_form->addOptionals('completed', array('checked'=>'checked'));}
            if(isset($_taskData['bill'])){$_form->addOptionals('bill', array('checked'=>'checked'));}
            if(isset($_taskData['recurrent'])){$_form->addOptionals('recurrent', array('checked'=>'checked'));}
        }
        
        $_tab = $_taskData['group_id'];
        
        if($_taskData['customer_name'] !== '' && !is_null($_taskData['customer_id'])){
            $_project_name = $_taskData['customer_name'];
            $_project_id = $_taskData['customer_id'];
        }  
        
        if($_taskData['project_name'] !== '' && !is_null($_taskData['project_id'])){
            $_project_name = $_taskData['project_name'];
            $_project_id = $_taskData['project_id'];
        }        
        
        $_form->setActionController('edit');
        $_form->setId($id);
        $_form->populate($_taskData);
        
        
        if($_taskData['ticket_id'] !=='0'){$_precedidoDeTicket = true;}
        
        if(isset($_POST['id'])){
            if($_form->isValid()){
                $_task->setOptions($_taskData);
                $result = $_task->update($id,$_task->getOptions()); //no tengo id porque viene de post
                if($result){
                    $flashmessenger->addMessage(array('success'=>'Estupendo !! La Tarea se actualizo exitosamente.'));
                    header("Location: Task.php?action=edit&id=$id");
                }else{
                    $flashmessenger->addMessage(array('danger'=>'Oops !!, algo salio mal al intenta actualizar la Tarea. Intenta nuevamente o contacta a tu proveedor de sistemas.'));
                }       
            }else{
                $vista = 'Task.php';
                include $root . '/View/Template.php';
            }
        }else{
            $vista = 'Task.php';
            include $root . '/View/Template.php';
        }        
        break;
    
    case 'delete': 
        if(!$_task->isUsedInRecord($id)){
            if($_task->delete($id)){
                $flashmessenger->addMessage(array('success'=>'Hecho !! La Tarea se elimino satisfactoriamente.'));                
            }
        }else{
            $message = 'Oops !!, esta Tarea no puede ser eliminada, esta siendo utilizada en almenos un registro.';
            $flashmessenger->addMessage(array('info'=>$message));
        }
        header('Location: Task.php');
        break;    
        
        
    case 'subtask':
        $_subtask = true;
        $parents = $_task->getParents($id);    
        $_parents = null;
        #voltear arreglo para mostrar primero tareas y luego subtareas
        while (count($parents) > 0){
            $_parents[] = array_pop($parents);               
        }

        if($_GET){ 
            $_taskDataTemp = $_task->getById($id);
            $_taskData = array(
                'customer_id'=>$_taskDataTemp['customer_id'],
                'project_id'=>$_taskDataTemp['project_id'],
                'group_id'=>$_taskDataTemp['group_id'],
                'parent_id'=>$_taskDataTemp['id']
            );            
        }
        
        if($_POST){$_taskData = $_POST;}
        
        $_form->populate($_taskData);
        $_form->setReadOnlydElements(array('customer_id'));
        
        #Al hacer click en boton terminar se va a insert.
        #Este case se utiliza para setear informacion de parent
        
        $vista = 'Task.php';
        include $root.'/View/Template.php';
        break;
        
    case 'ajax':
        $ajaxPos = new TaskAjax();
        if($_POST['request'] === 'saveComments'){$_POST['documents'] = $_FILES;}        
        $json = $ajaxPos->getResponse($_POST['request'],$_POST);
        
        echo json_encode($json);
        break;      
    
    default:
        if(isset($_GET['tid'])){$_form->setValueToElement($_GET['tid'], 'ticket_id');}
        $vista = 'Task.php';
        include $root.'/View/Template.php';
}