<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

class CustomerRepository extends EntityRepository {

    private $table = 'customers';

    public function save(array $data, $table = null) {        
        foreach($data as $key => $value){
            $data[$key] = trim($value);
        }
        
        return parent::save($data, $this->table);
    }
    
    public function delete($id, $table = null) {        
        return parent::delete($id, $this->table);
    }

    public function update($id, $data, $table = null) {        
        foreach($data as $key => $value){
            $data[$key] = trim($value);
        }
        
        return parent::update($id, $data, $this->table);
    }

    public function getById($id, $table = null,$selectAux = null) {
        return parent::getById($id, $this->table,$selectAux);
    }

    public function isUsedInRecord($id, array $buscarEn = null,$andWhere = null) {
        return parent::isUsedInRecord($id, array('projects'=>'customer_id'));
    }

    public function getListSelectClientes() {
        $select = "SELECT * FROM $this->table ";
        $result = $this->query($select);

        if ($result) {
            $array = array();
            while ($row = $result->fetch_assoc()) {
                $array[$row['id']] = $row['name'].' '.$row['last_name'];
            }
            return $array;
        }
        return null;
    }
    
     public function getListClientes() {
        $select = "SELECT * FROM $this->table ";
        $result = $this->query($select);

        if ($result) {
           return $this->resultToArray($result);
        }
        return null;
    }
}
