<?php
class ProjectEntity Extends ProjectRepository{
   private $options = array(
        'name'=>null,
        'description'=>null,
        'customer_id'=>null,
        'address'=>null,
        'city'=>null,
        'state'=>null,
        'zip_code'=>null,
        'contact'=>null,
        'phone'=>null,
        'email'=>null,
        'fax'=>null,
        'comments'=>null
    );
    
    public function setOptions($data){
      foreach ($this->options as $option => $value){
          if(isset($data[$option])){
            $this->options[$option] = $data[$option];
          }
      }
    }
  
    public function getOptions(){
        return $this->options;
    }
}