<?php 
    $root = realpath($_SERVER["DOCUMENT_ROOT"].'');
    include $root.'/app/config/dbConfig.php';
    include $root.'/app/config/appConfig.php';
    include $root."/class/DataBase/DataBase.php";  
    include $root."/Entity/EntityRepository.php";
    include $root."/class/Translator/Translator.php";
    include $root."/class/FlashMessenger/FlashMessenger.php";    
    include $root."/Entity/TaskRepository.php";
    include $root."/Entity/TaskEntity.php"; ?>
<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <link href="<?php echo ROOT_HOST?>/public/bootstrap/css/bootstrap.min.css" rel="stylesheet">  
    <script src="<?php echo ROOT_HOST?>/public/js/funciones.js"></script>  
</head>
<body>
    <?php
    $_translator = new Translator();
    $taskRepo = new TaskRepository();
    $data = $taskRepo->getById($_GET['idTask']);
    ?>
    <style>.table > tbody > tr > td, .table > tbody > tr > th, .table > tfoot > tr > td, .table > tfoot > tr > th, .table > thead > tr > td, .table > thead > tr > th{padding:2px}</style>
    <table style="margin-top:1rem !important;;background-color: transparent;width: 100%;max-width: 100%;margin-bottom: 20px;border-spacing: 0;border-collapse: collapse;box-sizing: border-box;">
    <tbody>
        <tr>
            <th colspan="2" style="text-align:center;padding:10px"><?php echo $data['name']?></th>
        </tr>
        <tr>
            <td colspan="2" style="text-align:left;padding:10px;padding-left:0px">
                <label style="text-transform: uppercase"><?php echo $_translator->_getTranslation('Descripcion')?></label>
                <br/>
                <?php echo $data['description']?>
            </td>
        </tr>
        <tr>
            <th style="text-align:left;text-transform: uppercase;width:35%"><?php echo $_translator->_getTranslation('Empresa')?></th>
            <td style="text-align:left"><?php echo $data['project_name']?></td>
        </tr>
        <tr>
            <th style="text-align:left;text-transform: uppercase;width:35%"><?php echo $_translator->_getTranslation('Cliente')?></th>
            <td style="text-align:left"><?php echo $data['customer_name']?></td>
        </tr>
        <tr>
            <th style="text-align:left;text-transform: uppercase;width:35%"><?php echo $_translator->_getTranslation('Categoria')?></th>
            <td style="text-align:left"><?php echo $data['category_name']?></td>
        </tr>
        <tr>
            <th style="text-align:left;text-transform: uppercase;width:35%"><?php echo $_translator->_getTranslation('Prioridad')?></th>
            <td style="text-align:left"><?php echo $data['priority_name']?></td>
        </tr>
        <tr>
            <th style="text-align:left;text-transform: uppercase;width:35%"><?php echo $_translator->_getTranslation('Fecha entrega')?></th>
            <td style="text-align:left"><?php echo $data['due_at']?></td>
        </tr>
    </tbody>
    </table>   
</body>
</html>