<?php 
    $root = realpath($_SERVER["DOCUMENT_ROOT"].'');
    include $root.'/app/config/dbConfig.php';
    include $root.'/app/config/appConfig.php';
    include $root."/class/DataBase/DataBase.php";  
    include $root."/Entity/EntityRepository.php";
    include $root."/class/Translator/Translator.php";
    include $root."/class/FlashMessenger/FlashMessenger.php";    
    include $root."/Entity/EmpresaRepository.php";     
    include $root."/Entity/EmpresaEntity.php";
    include $root."/Entity/VentaRepository.php";
    include $root."/Entity/VentaEntity.php"; ?>
<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <link href="<?php echo ROOT_HOST?>/public/bootstrap/css/bootstrap.min.css" rel="stylesheet">  
    <script src="<?php echo ROOT_HOST?>/public/js/funciones.js"></script>  
</head>
<body style="background-color: #C8CCCE;">
    <?php
    $_translator = new Translator();
    # INFORMACION EMPRESA
    $empresa = new EmpresaEntity();
    $empresa->setOptions($empresa->getById(1)); 
    
    $nombreEmpresa  = $empresa->getNombre();
    $direccion      = $empresa->getDireccion();
    $ciudadEstadoZC = $empresa->getCiudad().', '.$empresa->getEstado().' '.$empresa->getCodigoPostal();
    $telefono       = $empresa->getTelefono();  
    $paginaWeb      = $empresa->getPaginaWeb();
    
    ?>
    
    <div style="width:400px;margin:auto;margin-top: 15px">
    <div style="background-color: #fff; padding:10px;width:100%;text-align: center"><img src="<?php echo ROOT?>/public/img/logo.png" width="40%"/></div>
    <div style="background-color: #fff; width:400px;margin:auto;padding:10px;">
        <div style="text-align: center">       
            <h4 style="margin-bottom:0px"><?php echo $nombreEmpresa;?></h4>  
            <p style="margin:0px"><?php echo $direccion; ?></p>
            <p style="margin:0px"><?php echo $ciudadEstadoZC; ?></p>
            <p style="margin:0px"><?php echo $telefono;?></p>
        </div> 
        <div style="text-align:left;margin-top: 1rem !important;">            
            <p style="margin:0px;"><?php echo $_translator->_getTranslation('Venta')?> #: <?php echo $idVenta?></p>
            <p style="margin:0px;"><?php echo $_translator->_getTranslation('Fecha')?>: <?php echo $fechaCreacion;?></p>
            <p style="margin:0px;"><?php echo $_translator->_getTranslation('Sucursal')?>: <?php echo $nombreSucursal?></p>
            <p style="margin:0px;"><?php echo $_translator->_getTranslation('Cajero')?>: <?php echo $cajero?></p>            
            <p style="margin:0px;"><?php echo $_translator->_getTranslation('Items')?>: <?php echo $itemsTotal;?></p>
        </div> 
        <style>.table > tbody > tr > td, .table > tbody > tr > th, .table > tfoot > tr > td, .table > tfoot > tr > th, .table > thead > tr > td, .table > thead > tr > th{padding:2px}</style>
        <table style="margin-top:1rem !important;;background-color: transparent;width: 100%;max-width: 100%;margin-bottom: 20px;border-spacing: 0;border-collapse: collapse;box-sizing: border-box;">
        <thead>
            <th style="width:10%;text-align:center">Qty</th>
            <th style="width:70%;text-align:left">Description</th>
            <th style="width:20%;text-align:right">Price</th>
        </thead>
        <tbody>
        <?php echo $listDetalles;?>
        <tr>
            <td colspan="2" style="border:0px;text-align: right;margin:0px;padding:0px"><?php echo $_translator->_getTranslation('Subtotal')?></td>
            <td style="border:0px;text-align: right;margin:0px;padding:0px">$ <?php echo $subtotal?></td>
        </tr>        
       <?php if($descuentoOrdenTotal != '0'){?>
        <tr>
            <td colspan="2" style="border:0px;text-align: right;margin:0px;padding:0px"><?php echo $_translator->_getTranslation('Descuento')?></td>
            <td style="border:0px;text-align: right;margin:0px;padding:0px">$ <?php echo $descuentoOrdenTotal?></td>
        </tr>
        <tr>
            <td colspan="2" style="border:0px;text-align: right;margin:0px;padding:0px"><?php echo $_translator->_getTranslation('Subtotal')?></td>
            <td style="border:0px;text-align: right;margin:0px;padding:0px">$ <?php echo $subtotalMenosDescuento; ?></td>
        </tr>
        <?php }?>
         <tr style="border:0px">
            <td colspan="2" style="border:0px;text-align: right;margin:0px;padding:0px"><?php echo $_translator->_getTranslation('Impuestos')?></td>
            <td style="border:0px;text-align: right;margin:0px;padding:0px">$ <?php echo number_format(round($montoImpuestos,2,PHP_ROUND_HALF_UP),2);?></td>
        </tr>
        
        <tr style="border:0px;">
            <td colspan="2" style="border:0px;text-align: right;margin:0px;padding:0px"><b><?php echo $_translator->_getTranslation('Total')?></b></td>
            <td style="border:0px;text-align: right;margin:0px;padding:0px"><b>$ <?php echo $montoTotal?></b></td>
        </tr>
        <tr style="border:0px;">
            <td colspan="2" style="border:0px;text-align: right;margin:0px;padding:0px"><b><?php echo $_translator->_getTranslation('Recibido')?></b></td>
            <td style="border:0px;text-align: right;margin:0px;padding:0px"><b>$ <?php echo $totalRecibido;?></b></td>
        </tr>
        <tr style="border:0px;">
            <td colspan="2" style="border:0px;text-align: right;margin:0px;padding:0px"><b><?php echo $_translator->_getTranslation('Cambio')?></b></td>
            <td style="border:0px;text-align: right;margin:0px;padding:0px"><b>$ <?php echo $cambio ?></b></td>
        </tr>
        <tr>
            <td colspan="2" style="border:0px;text-align: right;margin:0px;padding:0px"><?php echo $_translator->_getTranslation('Forma de pago')?></td>
        </tr>
        <?php
            foreach($pagos as $pago ){?>
        <tr>
            <td colspan="2" style="border:0px;text-align: right;margin:0px;padding:0px"><?php echo $_translator->_getTranslation($pago['forma']);?></td>
            <td style="border:0px;text-align: right;margin:0px;padding:0px">$ <?php echo $pago['monto'];?></td>
        </tr>
        <?php }?>
        <tr>
            <td colspan="3" style="text-align: center;padding-top:20px">
                <p style="margin:0px">Thank you for your business</p>
            </td>
        </tr>
        <tr>
            <td colspan="3" style="padding-top:20px;text-align: justify;font-size: 10px;padding-left: 15px;padding-right: 15px">
                <img src="data:image/png;base64,<?php echo $options['signature_img']?>"/>
            </td>
        </tr>   
        </tbody>
    </table>   
    </div>
    <div style="width:100%;">
        <img src="<?php echo ROOT?>/public/img/shadow-receipt.gif" width="100%"/>
        <div style='clear: both'></div>
    </div>
    </div>
</body>
</html>