<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <?php      
             $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){
                $customerAction = $_translator->_getTranslation('Editar Empresa');
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='Project.php' class='btn btn-sm btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar empresa')."</a>";
                $agregarNuevo .= '<hr>';
            }elseif($action =='' || $action =='insert'){
                $customerAction = $_translator->_getTranslation('Agregar Empresa');
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Home')?></a></li>
            <li class="active"><i class="fa fa-building-o"></i> <a href="<?php echo ROOT_HOST?>/Controller/Project.php?action=list"><?php echo $_translator->_getTranslation('Lista de empresas')?></a></li>
            <li class="active"><i class="fa fa-building-o"></i> <?php echo $_translator->_getTranslation('Empresa')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
        <div class="box">
            <div class="box-header">       
                <h3><i class='fa-fw fa fa-building-o'></i><?php echo $customerAction;?></h3>
                <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
            </div>
            <div class='box-content'>
                <div class="row">
                    <div class="col-md-12">  
                         <div class="col-md-12 col-xs-12 text-right">
                            <?php echo $agregarNuevo;?>                        
                            <div class="clear"></div>
                        </div>
                        <?php 
                        echo $_form->openForm();
                        echo $_form->showActionController();
                        echo $_form->showId();
                            ?>
                         <div class="card">
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#general_information" aria-controls="home" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Informacion empresa') ?></a></li>
                                <li role="presentation"><a href="#primary_tasks" aria-controls="home" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Tareas primarias') ?></a></li>
                                <li role="presentation"><a href="#secondary_tasks" aria-controls="profile" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Tareas secundarias') ?></a></li>                
                                <li role="presentation"><a href="#tickets" aria-controls="profile" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Tickets') ?></a></li>
                            </ul>
                            <!-- Tab panes -->
                            <div class="tab-content m-t-3">
                                <div role="tabpanel" class="tab-pane active" id="general_information">
                                    <div class="col-md-6 col-xs-12">
                                        <?php echo $_form->showElement('name');?>
                                        <?php echo $_form->showElement('customer_id');?>
                                        <?php echo $_form->showElement('address');?>
                                        <?php echo $_form->showElement('city');?>
                                        <?php echo $_form->showElement('state');?>                                                 
                                        <?php echo $_form->showElement('zip_code');?>
                                    </div>
                                    <div class="col-md-6 col-xs-12">                                      
                                         <?php echo $_form->showElement('contact');?>  
                                         <?php echo $_form->showElement('phone');?>
                                         <?php echo $_form->showElement('email');?> 
                                         <?php echo $_form->showElement('fax');?>
                                         <?php echo $_form->showElement('comments');?>                                                            
                                    </div>
                                    <?php 
                                    if($action === 'edit'){?>
                                        <div class="clear"></div>
                                        <div>
                                            <h2><small><?php echo $_translator->_getTranslation('Informacion propietario') ?></small></h2>
                                            <hr>
                                        </div>
                                        <div class="col-md-6 col-xs-12">                                                                                
                                            <?php 
                                            if($customersData){?>
                                            <ul class="owners"><?php
                                                foreach($customersData as $customer){?>
                                                <li><a href="#" class="editCustomer" data-action="edit" data-id="<?php echo $customer['id']?>"><?php echo $customer['name'].' '.$customer['last_name'];?></a></li><?php
                                                }?>
                                            </ul><?php                                            
                                            }
                                            ?>
                                        </div>
                                        <div class="clear"></div>
                                        <div>
                                            <h2>
                                                <small><?php echo $_translator->_getTranslation('Documentos') ?></small>
                                                <a class="btn btn-sm btn-default pull-right" data-toggle='modal' data-target='#modalAddDocument'><i class="fa fa-file-o"></i> <span class="hidden-xs"><?php echo $_translator->_getTranslation('Agregar documento'); ?></span></a>  
                                            </h2>
                                            <hr>
                                        </div><?php
                                        if($_files){?>
                                            <ul class="files"><?php
                                                foreach($_files as $file){?>
                                                    <li>
                                                        <span class="btn btn-xs btn-default delete_attached_file" data-id_attached_file="<?php echo $file['id'] ?>"><i class="fa fa-trash"></i></span> 
                                                        <a href="<?php echo ROOT_DISCUSSIONS_DOCS.$file['system_file_name'] ?>" target="_blank"><?php echo $file['input_file_name'] ?></a>
                                                    </li><?php
                                                }?>
                                            </ul><?php
                                        }
                                    }?>
                                </div>
                                <div role="tabpanel" class="tab-pane" id="primary_tasks">
                                    <div class='table-responsive'>
                                        <table id="tblTasks" class="table table-striped table-hover table-condensed tblTasks" style="font-size: 10px">
                                        <thead>
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Nombre');?></th>
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Categoria');?></th>                      
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Fecha entrega');?></th>                      
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Asignado a');?></th>                                          
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Prioridad');?></th> 
                                        <th class="col-lg-1 text-center">Accion</th>
                                        </thead>
                                        <tfoot class="text-primary">
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                        </tfoot>
                                        <tbody>
                                        <?php 
                                            if(isset($_primaryTasks) && $_primaryTasks){
                                                foreach($_primaryTasks as $primaryTask){?>
                                                    <tr class="view_task" style="cursor:pointer" data-id_task="<?php echo $primaryTask['id'] ?>">                                   
                                                        <td class="text-center"><?php echo $primaryTask['name']?></td>
                                                        <td class="text-center"><?php echo $primaryTask['category_name']?></td>
                                                        <td class="text-center"><?php echo $primaryTask['due_at_formated']?></td>                                    
                                                        <td class="text-center"><?php echo $primaryTask['assigned_to_name']?></td>
                                                        <td class="text-center"><?php echo $primaryTask['priority_name']?></td>
                                                        <td class="text-center options">
                                                            <a class="btn btn-xs btn-default" href="Task.php?action=edit&id=<?php echo $primaryTask['id']?>" target="_primaryTask"><i class="fa fa-pencil"></i></a>                                        
                                                            <button class="btn btn-xs btn-default addComment" data-id_task="<?php echo $primaryTask['id'] ?>" data-toggle='modal' data-target='#modalAddComment'><i class="fa fa-check"></i> </button>            
                                                            <div class="dropup" style="display:inline-block">
                                                                <button class="btn btn-xs btn-default dropdown-toggle" type="button" data-toggle="dropdown"><i class="fa fa-ellipsis-v"></i></button>
                                                                <ul class="dropdown-menu pull-right">
                                                                  <li><a onclick="return deleteRegistry('Task.php?action=delete&id=<?php echo $primaryTask['id']?>')" href="#"><?php echo $_translator->_getTranslation('Eliminar')?></a></li>
                                                                </ul>
                                                            </div> 

                                                        </td>
                                                    </tr><?php
                                                }                   
                                            }?>
                                        </tbody>
                                    </table>
                                    </div>
                                </div>
                                <div role="tabpanel" class="tab-pane" id="secondary_tasks">
                                    <div class='table-responsive'>
                                        <table id="tblSecondaryTasks" class="table table-striped table-hover table-condensed tblTasks" style="font-size: 10px">
                                        <thead>
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Nombre');?></th>
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Categoria');?></th>                      
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Fecha entrega');?></th>                      
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Asignado a');?></th>                                          
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Prioridad');?></th> 
                                        <th class="col-lg-1 text-center">Accion</th>
                                        </thead>
                                        <tfoot class="text-primary">
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                        </tfoot>
                                        <tbody>
                                        <?php 
                                            if(isset($_secondaryTasks) && $_secondaryTasks){
                                                foreach($_secondaryTasks as $secondaryTask){?>
                                                    <tr class="view_task" style="cursor:pointer" data-id_task="<?php echo $secondaryTask['id'] ?>">                                   
                                                        <td class="text-center"><?php echo $secondaryTask['name']?></td>
                                                        <td class="text-center"><?php echo $secondaryTask['category_name']?></td>
                                                        <td class="text-center"><?php echo $secondaryTask['due_at_formated']?></td>                                    
                                                        <td class="text-center"><?php echo $secondaryTask['assigned_to_name']?></td>
                                                        <td class="text-center"><?php echo $secondaryTask['priority_name']?></td>
                                                        <td class="text-center options">
                                                            <a class="btn btn-xs btn-default" href="Task.php?action=edit&id=<?php echo $secondaryTask['id']?>"><i class="fa fa-pencil"></i></a>                                        
                                                            <button class="btn btn-xs btn-default addComment" data-id_task="<?php echo $secondaryTask['id'] ?>" data-toggle='modal' data-target='#modalAddComment'><i class="fa fa-check"></i> </button>            
                                                            <div class="dropup" style="display:inline-block">
                                                                <button class="btn btn-xs btn-default dropdown-toggle" type="button" data-toggle="dropdown"><i class="fa fa-ellipsis-v"></i></button>
                                                                <ul class="dropdown-menu pull-right">
                                                                  <li><a onclick="return deleteRegistry('Task.php?action=delete&id=<?php echo $secondaryTask['id']?>')" href="#"><?php echo $_translator->_getTranslation('Eliminar')?></a></li>
                                                                </ul>
                                                            </div> 

                                                        </td>
                                                    </tr><?php
                                                }                   
                                            }?>
                                        </tbody>
                                    </table>
                                    </div>
                                </div>
                                <div role="tabpanel" class="tab-pane" id="tickets">
                                    <div class='table-responsive'>
                                        <table id="tblTickets" class="table table-striped table-hover table-condensed" style="font-size: 10px">
                                        <thead>
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Cliente');?></th>
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Empresa');?></th>
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Descripcion');?></th>
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Categoria');?></th>                      
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Fecha entrega');?></th>                      
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Asignado a');?></th>                                          
                                        <th class="text-center"><?php echo $_translator->_getTranslation('Prioridad');?></th> 
                                        <th class="col-lg-1 text-center">Accion</th>
                                        </thead>
                                        <tfoot class="text-primary">
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                        </tfoot>
                                        <tbody>
                                        <?php 
                                            if(isset($_tickets) && $_tickets){
                                                foreach($_tickets as $ticket){?>
                                                    <tr class="view_ticket" style="cursor:pointer" data-id_task="<?php echo $ticket['id'] ?>">
                                                        <td class="text-center"><?php echo $ticket['customer_name']?></td>
                                                        <td class="text-center"><?php echo $ticket['project_name']?></td>                                    
                                                        <td class="text-center" style="white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width: 200px"><?php echo $ticket['description']?></td>
                                                        <td class="text-center"><?php echo $ticket['category_name']?></td>
                                                        <td class="text-center"><?php echo $ticket['due_at_formated']?></td>                                    
                                                        <td class="text-center"><?php echo $ticket['assigned_to_name']?></td>
                                                        <td class="text-center"><?php echo $ticket['priority_name']?></td>
                                                        <td class="text-center options">
                                                            <a class="btn btn-xs btn-default" href="Ticket.php?action=edit&id=<?php echo $ticket['id']?>"><i class="fa fa-pencil"></i></a>                                        
                                                            <button class="btn btn-xs btn-default addComment" data-id_task="<?php echo $ticket['id'] ?>" data-toggle='modal' data-target='#modalAddComment'><i class="fa fa-check"></i> </button>            
                                                            <div class="dropup" style="display:inline-block">
                                                                <button class="btn btn-xs btn-default dropdown-toggle" type="button" data-toggle="dropdown"><i class="fa fa-ellipsis-v"></i></button>
                                                                <ul class="dropdown-menu pull-right">
                                                                  <li><a onclick="return deleteRegistry('Ticket.php?action=delete&id=<?php echo $ticket['id']?>')" href="#"><?php echo $_translator->_getTranslation('Eliminar')?></a></li>
                                                                </ul>
                                                            </div> 

                                                        </td>
                                                    </tr><?php
                                                }                   
                                            }?>
                                        </tbody>
                                    </table>
                                    </div>                                    
                                </div>
                            </div>
                         </div>          
                    </div>
                </div>
                <div class="text-right">
                     <?php $element = $_form->getElement('send'); echo $_form->createOnlyElement($element);?>
                     <?php $element = $_form->getElement('cancelar'); echo $_form->createOnlyElement($element);?>
                </div>
        </div>        
            <?php echo $_form->closeForm();?>
        </div>
        </div>
        </div>
    </div>
    <?php include ROOT."/View/Modal/addDocument.php";?>
    <?php include ROOT."/View/Modal/addCustomer.php";?>
    <?php include ROOT."/View/Modal/viewTask.php";?>
    <?php include ROOT."/View/Modal/addComment.php";?>
    <?php include ROOT."/View/Modal/viewTicket.php";?>
</div>
<style>
    tfoot {
        display: table-header-group;
    }
</style>
<script>
    $('.nav-tabs li:eq(<?php echo $_activeTab;?>) a').tab('show');
    
    $('#customer_id').select2();
    $('span.addCustomer').on('click',function(){        
        setCustomerModal($(this).data('action'));        
    });
    
    $('a.editCustomer').on('click',function(){       
        $('form[name=customer] #id').val($(this).data('id'));
        setCustomerModal($(this).data('action'));        
    });
    
    $('.save_documents').on('click',function(){
        saveDocuments(function(){document.location.reload();});
    });
    
    $('.delete_attached_file').on('click',function(){        
        deleteAtachedFile($(this).data('id_attached_file'));
    });
    
    $('.tblTasks').on('click','button.addComment',function(e){
        e.preventDefault();
        $('#modalAddComment .modal-footer').empty().prepend("<div class='col-lg-6 col-md-6 col-sm-12 pull-right'> <button class='btn btn-default pull-right m-t-3 save_comments_and_complete'>Agregar comentario y cerrar ticket</button></div>");
        $('#comments_id_task').val($(this).data('id_task'));
    });
    
    $('.save_comments').on('click',function(){
        saveComments(function(){
            document.location.reload();
        });
    });   
    
    $('.save_comments_and_complete').on('click',function(){
        saveComments(function(){
            completeTask($('#comments_id_task').val());
        });
    });    
    
    $('.tblTasks').on('click','tr.view_task',function(e){
        if (!$(e.target).closest('.options').length) {
            $('#comments_id_task').val($(this).data('id_task'));
            viewTask($(this).data('id_task'));
        }       
    }); 
    
    $('#taskInformation').on('click','a.view_task',function(e){
        $('#comments_id_task').val($(this).data('id_task'));
        viewTask($(this).data('id_task'));   
    });     
    
    $('.tblTasks').removeClass( 'display' ).addClass('table table-striped table-bordered');
    var dt = $('.tblTasks').DataTable({
                paginate:true,
                iDisplayLength :100,
                filter:true,
                bFilter:true,
                aaSorting:[],
                //dom: 'Bfrtip',
                initComplete: function () {
                    this.api().columns('0,1,2,3,4').every( function () {var column = this;
                        var select = $('<select class="col-md-12"><option value=""></option></select>')
                            .appendTo( $(column.footer()).empty() )
                            .on( 'change', function () {
                                var val = $.fn.dataTable.util.escapeRegex(
                                    $(this).val()
                                );

                                column
                                    .search( val ? '^'+val+'$' : '', true, false )
                                    .draw();
                            } );

                        column.data().unique().sort().each( function ( d, j ) {
                            select.append( '<option value="'+d+'">'+d+'</option>' )
                        } );
                    } );
                }
            });
            
    /*TICKETS*/
    $('#tblTickets').on('click','button.addComment',function(e){
        e.preventDefault();
        $('#modalAddComment .modal-footer').empty().prepend("<div class='col-lg-6 col-md-6 col-sm-12 pull-right'> <button class='btn btn-default pull-right m-t-3 save_comments_and_complete'>Agregar comentario y cerrar ticket</button></div>");
        $('#comments_id_task').val($(this).data('id_task'));
    });
    
    $('#modalAddComment .modal-footer').on('click','.save_comments',function(){
        saveCommentsTickets(function(){
            document.location.reload();
        });
    });   
    
    $('#modalAddComment .modal-footer').on('click','.save_comments_and_complete',function(){
        saveCommentsTickets(function(){
            completeTicket($('#comments_id_task').val());
        });
    });    
    
    $('#tblTickets').on('click','tr.view_ticket',function(e){
        if (!$(e.target).closest('.options').length) {
            $('#comments_id_task').val($(this).data('id_task'));
            viewTicket($(this).data('id_task'));
        }
       
    });    
    
    $('#tblTickets').removeClass( 'display' ).addClass('table table-striped table-bordered');
    var dt = $('#tblTickets').DataTable({
                paginate:true,
                iDisplayLength :100,
                filter:true,
                bFilter:true,
                aaSorting:[],
                //dom: 'Bfrtip',
                initComplete: function () {
                    this.api().columns('0,1,2,3,4,5,6').every( function () {var column = this;
                        var select = $('<select class="col-md-12"><option value=""></option></select>')
                            .appendTo( $(column.footer()).empty() )
                            .on( 'change', function () {
                                var val = $.fn.dataTable.util.escapeRegex(
                                    $(this).val()
                                );

                                column
                                    .search( val ? '^'+val+'$' : '', true, false )
                                    .draw();
                            } );

                        column.data().unique().sort().each( function ( d, j ) {
                            select.append( '<option value="'+d+'">'+d+'</option>' )
                        } );
                    } );
                }
            });
            
    

</script>