<div class="box-header"> 
    <h3><i class='fa-fw fa fa-shopping-basket'></i><?php echo $_translator->_getTranslation(ucfirst($_reporte->getTituloReporte()));?></h3>
    <div class='box-icon dropdown'>
        <i class='icon fa fa-tasks' id="moreOptions" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true"></i>
        <ul class="dropdown-menu dropdown-menu-right" aria-labelledby="moreOptions">
            <li><a href="<?php echo $_reporte->getStringToSendGET().'&output=excel' ?>"><i class="fa fa-file-excel-o"></i><?php echo $_translator->_getTranslation('Exportar a excel')?></a></li>
                </a>
            </li>
        </ul>
    </div>
</div>
<div class='box-content'>
    <div class='row'>
        <div class="col-lg-12">
            <?php
            $result = $_reporte->getReporte();
            $details = $result['details'];
            $inventoryByCustomer = $result['inventoryByCustomer'];
            $inventoryByLot = $result['inventoryByLot'];
            ?>
            <div class="card">
                <ul class="nav nav-tabs" role="tablist">
                    <li role="presentation" class="active"><a href="#details" aria-controls="home" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Detalles de Inventario') ?></a></li>
                    <li role="presentation"><a href="#inventoryByCustomer" aria-controls="profile" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Resumen por Cliente') ?></a></li>
                    <li role="presentation"><a href="#inventoryByLot" aria-controls="profile" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Resumen por Lote') ?></a></li>
                </ul>
                <!-- Tab panes -->
                <div class="tab-content p-t-3">
                    <div role="tabpanel" class="tab-pane active" id="details">
                        <div class="table-responsive">
                            <h3 class="tblInventory_sum_boxes text-right m-b-2"></h3>
                        <table id="tblInventory" class="table table-striped table-bordered table-condensed table-hover" style="font-size:10px;">
                        <thead>
                        <tr>
                            <td class="col-md-2 text-center"><?php echo $_translator->_getTranslation('Cliente');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Fecha');?></td>
                            <td class="text-center"><?php echo $_translator->_getTranslation('Lote');?></td>
                            <td class="text-center"><?php echo $_translator->_getTranslation('Producto');?></td>                
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Variedad');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Tamano');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Color');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Empaque');?></td>                            
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Marca');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Calidad');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Madurez');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Peso');?></td>
                            <td class="text-center"><?php echo $_translator->_getTranslation('Boxes');?></td>
                            <td class="text-center"><?php echo $_translator->_getTranslation('Pallet Id');?></td>
                            <td class="text-center"><?php echo $_translator->_getTranslation('Locacion');?></td>
                            <td class="text-center"><?php echo $_translator->_getTranslation('Ant');?></td>
                        </tr>
                        </thead>
                        <tfoot>
                        <tr>
                            <th class="filter"><?php echo $_translator->_getTranslation('Cliente');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Fecha');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Lote');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Locacion');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Producto');?></th>                
                            <th class="filter"><?php echo $_translator->_getTranslation('Variedad');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Tamano');?></th>                            
                            <th class="filter"><?php echo $_translator->_getTranslation('Color');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Empaque');?></th>                                           
                            <th class="filter"><?php echo $_translator->_getTranslation('Marca');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Calidad');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Madurez');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Peso');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Stock');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Pallet Id');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Tiempo');?></th>
                        </tr>
                        </tfoot>
                        <tbody>
                        <?php 
                            foreach($details as $row){
                                $descripcion = str_replace(',', "<br>", $row['descripcion']);
                                $variety = str_replace(',', "<br>", $row['varietyName']);
                                $size = str_replace(',', "<br>", $row['sizeName']);
                                $color = str_replace(',', "<br>", $row['colorName']);                                
                                $packing = str_replace(',', "<br>", $row['packingName']);
                                $brand = str_replace(',', "<br>", $row['brandName']);
                                $quality = str_replace(',', "<br>", $row['qualityName']);
                                $madurity = str_replace(',', "<br>", $row['madurityName']);
                                $weight = str_replace(',', "<br>", $row['weight']);
                                $boxesQuantity = str_replace(',', "<br>", $row['quantity_boxes_concat']);
                                $palletsQuantity = str_replace(',', "<br>", $row['quantity_pallets_concat']);?>
                                <tr>
                                <td class="text-center"><?php echo $row['customerName'];?></td>
                                <td class="text-center"><?php echo $row['formatedDate'];?></td>
                                <td class="text-center"><?php echo $row['lot'];?></td>                                            
                                <td class="text-center"><?php echo $descripcion;?></td>                      
                                <td class="text-center"><?php echo $variety;?></td>  
                                <td class="text-center"><?php echo $size;?></td>  
                                <td class="text-center"><?php echo $color;?></td> 
                                <td class="text-center"><?php echo $packing?></td> 
                                <td class="text-center"><?php echo $brand;?></td> 
                                <td class="text-center"><?php echo $quality;?></td>
                                <td class="text-center"><?php echo $madurity;?></td>
                                <td class="text-center"><?php echo $weight;?></td>  
                                <td class="text-center"><?php echo $boxesQuantity;?></td>
                                <td class="text-center"><?php echo $row['id_pallet'];?></td>  
                                <td class="changeLocation text-center id_inventory_<?php echo $row['inventoryId']; ?>" style="cursor: pointer"
                                    data-idinventory="<?php echo $row['inventoryId'];?>"
                                    data-locationname="<?php echo $row['locationName'];?>"
                                    data-customername="<?php echo $row['customerName'];?>"
                                    data-lot="<?php echo $row['lot'];?>"
                                    data-productname="<?php echo $row['descripcion'] ?>"
                                    data-sizename="<?php echo $row['sizeName'];?>"
                                    data-colorname="<?php echo $row['colorName'];?>"
                                    data-packingname="<?php echo $row['packingName'];?>"
                                    data-weight="<?php echo $row['weight'];?>"   
                                    data-stock="<?php echo $row['quantity_boxes'];?>"
                                    data-stockpallets="<?php echo $row['quantity_pallets'];?>"
                                    data-palletid="<?php echo $row['id_pallet'];?>">
                                        <?php echo $row['locationName'];?>
                                </td>  
                                <td class="text-center"><?php echo $row['aging'];?></td>  
                        <?php }?>
                                </tr>
                        </tbody>
                        </table>
                        <h3 class="tblInventory_sum_boxes text-right m-b-2"></h3>
                        </div>
                    </div>
                    
                    
                    <div role="tabpanel" class="tab-pane" id="inventoryByCustomer">
                        <div class="table-responsive">
                        <h3 class="tblInventoryByCustomer_sum_boxes text-right m-b-2"></h3>
                        <table id="tblInventoryByCustomer" style="width:100%;font-size:10px;" class="table table-striped table-bordered table-condensed table-hover">
                        <thead>
                        <tr>
                            <td class="text-center"><?php echo $_translator->_getTranslation('Cliente');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Producto');?></td>                
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Variedad');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Tamano');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Color');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Empaque');?></td>                            
                            <th class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Marca');?></th>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Calidad');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Madurez');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Peso');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Boxes');?></td>
                        </tr>
                        </thead>
                        <tfoot>
                        <tr>
                            <th class="filter"><?php echo $_translator->_getTranslation('Cliente');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Producto');?></th>                
                            <th class="filter"><?php echo $_translator->_getTranslation('Variedad');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Tamano');?></th>                            
                            <th class="filter"><?php echo $_translator->_getTranslation('Color');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Empaque');?></th>                                           
                            <th class="filter"><?php echo $_translator->_getTranslation('Marca');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Calidad');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Madurez');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Peso');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Boxes');?></th>
                        </tr>
                        </tfoot>
                        <tbody>
                            <?php 
                            foreach($inventoryByCustomer as $row){?>
                                <tr>
                                <td class="text-center"><?php echo $row['customerName'];?></td>
                                <td class="text-center"><?php echo $row['descripcion'];?></td>
                                <td class="text-center"><?php echo $row['varietyName'];?></td>
                                <td class="text-center"><?php echo $row['sizeName'];?></td>                               
                                <td class="text-center"><?php echo $row['colorName'];?></td>
                                <td class="text-center"><?php echo $row['packingName'];?></td>                               
                                <td class="text-center"><?php echo $row['brandName'];?></td>
                                <td class="text-center"><?php echo $row['qualityName'];?></td>
                                <td class="text-center"><?php echo $row['madurityName'];?></td>
                                <td class="text-center"><?php echo $row['weight'];?></td>  
                                <td class="text-center"><?php echo $row['quantity_boxes'];?></td> 
                                </tr>
                                
                    <?php }?>
                            
                        </tbody>
                        </table>
                        <h3 class="tblInventoryByCustomer_sum_boxes text-right m-b-2"></h3>
                        </div>
                    </div>
                    
                    <div role="tabpanel" class="tab-pane" id="inventoryByLot">
                        <div class="table-responsive">
                        <h3 class="tblInventoryByLot_sum_boxes text-right m-b-2"></h3>
                        <table id="tblInventoryByLot" style="width:100%;font-size:10px;" class="table table-striped table-bordered table-condensed table-hover">
                        <thead>
                        <tr>
                            <td class="text-center"><?php echo $_translator->_getTranslation('Cliente');?></td>
                            <td class="text-center"><?php echo $_translator->_getTranslation('Lote');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Producto');?></td>                
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Variedad');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Tamano');?></td>                            
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Color');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Empaque');?></td>                
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Marca');?></td> 
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Calidad');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Madurez');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Peso');?></td>
                            <td class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Cajas');?></td>
                        </tr>
                        </thead>
                        <tfoot>
                        <tr>
                            <th class="filter"><?php echo $_translator->_getTranslation('Cliente');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Lote');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Producto');?></th>                
                            <th class="filter"><?php echo $_translator->_getTranslation('Variedad');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Tamano');?></th>                            
                            <th class="filter"><?php echo $_translator->_getTranslation('Color');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Empaque');?></th> 
                            <th class="filter"><?php echo $_translator->_getTranslation('Marca');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Calidad');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Madurez');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Peso');?></th>
                            <th class="filter"><?php echo $_translator->_getTranslation('Boxes');?></th>
                        </tr>
                        </tfoot>
                        <tbody>
                            <?php 
                            foreach($inventoryByLot as $row){?>
                                <tr>
                                <td class="text-center"><?php echo $row['customerName'];?></td>
                                <td class="text-center"><?php echo $row['lot'];?></td>
                                <td class="text-center"><?php echo $row['descripcion'];?></td>
                                <td class="text-center"><?php echo $row['varietyName'];?></td>
                                <td class="text-center"><?php echo $row['sizeName'];?></td>    
                                <td class="text-center"><?php echo $row['colorName'];?></td>                                          
                                <td class="text-center"><?php echo $row['packingName'];?></td>  
                                <td class="text-center"><?php echo $row['brandName'];?></td>                    
                                <td class="text-center"><?php echo $row['qualityName'];?></td>
                                <td class="text-center"><?php echo $row['madurityName'];?></td>
                                <td class="text-center"><?php echo $row['weight'];?></td>  
                                <td class="text-center"><?php echo $row['quantity_boxes'];?></td> 
                                </tr>                                
                    <?php }?>
                            
                        </tbody>
                        </table>
                        <h3 class="tblInventoryByLot_sum_boxes text-right m-b-2"></h3>
                        </div>
                    </div>
                    
            </div>
    </div>
</div>
<?php include ROOT."/View/Modal/changeLocation.php";?>
<style>
    tfoot {
    display: table-header-group;
}
</style>
<script type="text/javascript" language="javascript">
    $('#id_location').select2();
    
    $('.changeLocation').click(function(){
        $('#id_inventory').val($(this).data('idinventory'));
        $('.ch_loc_customer').html($(this).data('customername'));
        $('.ch_loc_lot').html($(this).data('lot'));
        $('.ch_loc_product').html($(this).data('productname'));
        $('.ch_loc_palletId').html($(this).data('palletid'));
        $('.ch_loc_currentLocation').html($(this).data('locationname'));

        $('#modalChangeLocation').modal('show');        
    });  
    
    $('#tblInventory').DataTable( { 
        paginate:false,
        filter:true,
        bFilter:true,
        aaSorting:[],
        dom: 'Bfrtip',
        buttons: [
            'copy', 'excel', 'print'
        ],
        drawCallback: function () {
         var api = this.api();
         $('.tblInventory_sum_boxes').html('<?php echo $_translator->_getTranslation('Total cajas');?>: '+number_format(api.column( 12, {page:'current'} ).data().sum(),0,'.',','));
       }});

    
    $('#tblInventory')
        .removeClass( 'display' )
        .addClass('table table-striped table-bordered');

    $('#tblInventory tfoot th.filter').each( function () {
           $(this).html( '<input type="text" placeholder="Buscar" style="width:100%" />' );
       } );  

       var table = $('#tblInventory').DataTable();
       // Apply the search
       table.columns().every( function () {
           var that = this; 
           $( 'input', this.footer() ).on( 'keyup change', function () {
               if ( that.search() !== this.value ) {
                   that
                       .search (this.value.replace("/;/g", "|"), true, false)
                       .draw();
               }
           } );
       } );      
       
    $('#tblInventoryByCustomer').DataTable( { 
        paginate:false,
        filter:true,
        bFilter:true,
        aaSorting:[],
        dom: 'Bfrtip',
        buttons: [
            'copy', 'excel', 'print'
        ],
        drawCallback: function () {
         var api = this.api();
         $('.tblInventoryByCustomer_sum_boxes').html('<?php echo $_translator->_getTranslation('Total cajas');?>: '+number_format(api.column( 10, {page:'current'} ).data().sum(),0,'.',','));
    }});
    
        $('#tblInventoryByCustomer')
        .removeClass( 'display' )
        .addClass('table table-striped table-bordered');

    $('#tblInventoryByCustomer tfoot th.filter').each( function () {
           $(this).html( '<input type="text" placeholder="Buscar" style="width:100%" />' );
       } );  

       var table = $('#tblInventoryByCustomer').DataTable();
       // Apply the search
       table.columns().every( function () {
           var that = this; 
           $( 'input', this.footer() ).on( 'keyup change', function () {
               if ( that.search() !== this.value ) {
                   that
                       .search (this.value.replace("/;/g", "|"), true, false)
                       .draw();
               }
           } );
       } );

    $('#tblInventoryByLot').DataTable( { 
        paginate:false,
        filter:true,
        bFilter:true,
        aaSorting:[],
        dom: 'Bfrtip',
        buttons: [
            'copy', 'excel', 'print'
        ],
        drawCallback: function () {
         var api = this.api();
         $('.tblInventoryByLot_sum_boxes').html('<?php echo $_translator->_getTranslation('Total cajas');?>: '+number_format(api.column( 11, {page:'current'} ).data().sum(),0,'.',','));
       }});
    
        $('#tblInventoryByLot')
        .removeClass( 'display' )
        .addClass('table table-striped table-bordered');

    $('#tblInventoryByLot tfoot th.filter').each( function () {
           $(this).html( '<input type="text" placeholder="Buscar" style="width:100%" />' );
       } );  

       var table = $('#tblInventoryByLot').DataTable();
       // Apply the search
       table.columns().every( function () {
           var that = this; 
           $( 'input', this.footer() ).on( 'keyup change', function () {
               if ( that.search() !== this.value ) {
                   that
                       .search (this.value.replace("/;/g", "|"), true, false)
                       .draw();
               }
           } );
       } );   
</script>
