<div class="container-title"></div>
<div class="row">
    <div class="col-lg-12"><ol class="breadcrumb">
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Inicio')?></a></li>
            <li class="active"><i class="fa fa-check-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de Tareas')?></li>
        </ol>
    </div>
</div>
<div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
<div class="box">
    <div class="box-header">       
        <h3><i class='fa-fw fa fa-check-circle-o'></i><?php echo $_translator->_getTranslation('Lista de Tareas');?></h3>
        <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
    </div>
    <div class='box-content'>
        <div class='row'>
            <div class="col-lg-12">
                 <div class='pull-right'>
                    <a href='Task.php' class='btn btn-sm btn-default'><i class='fa fa-plus'></i> <?php echo $_translator->_getTranslation('Agregar Tarea')?></a>
                    <!--<button class="btn btn-sm btn-default" data-toggle='modal' data-target='#modalFiltroManifest'><i class="fa fa-search-plus"></i> <?php echo $_translator->_getTranslation('Busqueda avanzada')?></button> -->
                </div>
                    <div class="clear"></div>
                <hr/>
                <div class='table-responsive'>
                    <table id="tblTasks" class="table table-striped table-hover table-condensed" style="font-size: 10px">
                    <thead>
                    <th class="text-center"><?php echo $_translator->_getTranslation('Cliente');?></th>
                    <th class="text-center"><?php echo $_translator->_getTranslation('Empresa');?></th>
                    <th class="text-center"><?php echo $_translator->_getTranslation('Nombre');?></th>
                    <th class="text-center"><?php echo $_translator->_getTranslation('Categoria');?></th>                      
                    <th class="text-center"><?php echo $_translator->_getTranslation('Fecha entrega');?></th>                      
                    <th class="text-center"><?php echo $_translator->_getTranslation('Asignado a');?></th>                                          
                    <th class="text-center"><?php echo $_translator->_getTranslation('Prioridad');?></th> 
                    <th class="col-lg-1 text-center">Accion</th>
                    </thead>
                    <tfoot class="text-primary">
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                    </tfoot>
                    <tbody>
                    <?php 
                        if($_listTasks){
                            foreach($_listTasks as $task){?>
                                <tr class="view_task" style="cursor:pointer" data-id_task="<?php echo $task['id'] ?>">
                                    <td class="text-center"><?php echo $task['customer_name']?></td>
                                    <td class="text-center"><?php echo $task['project_name']?></td>                                    
                                    <td class="text-center"><?php echo $task['name']?></td>
                                    <td class="text-center"><?php echo $task['category_name']?></td>
                                    <td class="text-center"><?php echo $task['due_at_formated']?></td>                                    
                                    <td class="text-center"><?php echo $task['assigned_to_name']?></td>
                                    <td class="text-center"><?php echo $task['priority_name']?></td>
                                    <td class="text-center options">
                                        <a class="btn btn-xs btn-default" href="Task.php?action=edit&id=<?php echo $task['id']?>"><i class="fa fa-pencil"></i></a>                                        
                                        <button class="btn btn-xs btn-default addComment" data-id_task="<?php echo $task['id'] ?>" data-toggle='modal' data-target='#modalAddComment'><i class="fa fa-check"></i> </button>            
                                        <div class="dropup" style="display:inline-block">
                                            <button class="btn btn-xs btn-default dropdown-toggle" style='width: 25px;' type="button" data-toggle="dropdown"><i class="fa fa-ellipsis-v"></i></button>
                                            <ul class="dropdown-menu pull-right">
                                                <li><a onclick="return deleteRegistry('Task.php?action=delete&id=<?php echo $task['id']?>')" href="#"><i class='fa fa-trash'></i> <?php echo $_translator->_getTranslation('Eliminar')?></a></li>
                                                <?php
                                                switch($task['work_status']){
                                                    case '1':
                                                        echo $append = "<li><a class = '_workStatus' data-taskid='{$task['id']}' data-action='Iniciar tarea' data-request='startTask'><i class='fa fa-play'></i> Iniciar tarea</a></li>";
                                                        break;

                                                    case '2':
                                                        echo $append = "<li><a class = '_workStatus' data-taskid='{$task['id']}' data-action='Pausar tarea' data-request='pauseTask'><i class='fa fa-pause'></i> Pausar tarea</a></li>";
                                                        break;  

                                                    case '3':       
                                                        echo $append = "<li><a class = '_workStatus' data-taskid='{$task['id']}' data-action='Reiniciar tarea' data-request='restartTask'><i class='fa fa-refresh'></i> Reiniciar tarea</a></li>";
                                                        break;
                                                }
                                                ?>
                                            </ul>
                                        </div> 
                                        
                                    </td>
                                </tr><?php
                            }                   
                        }?>
                    </tbody>
                </table>
                </div>
            </div>                
        </div>
    </div>
    <?php include ROOT."/View/Modal/viewTask.php";?>
    <?php include ROOT."/View/Modal/addComment.php";?>
</div>
<style>
    tfoot {
        display: table-header-group;
    }
</style>
<script type="text/javascript" language="javascript">
    $('#tblTasks').on('click','button.addComment',function(){
        $('#modalAddComment .modal-footer').empty().prepend("<div class='col-lg-6 col-md-6 col-sm-12 pull-right'> <button class='btn btn-default pull-right m-t-3 save_comments_and_complete'>Agregar comentario y cerrar ticket</button></div>");
        $('#comments_id_task').val($(this).data('id_task'));
    });
    
    $('.save_comments').on('click',function(){
        saveComments(function(){
            document.location.reload();
        });
    });   
    
    $('.save_comments_and_complete').on('click',function(){
        saveComments(function(){
            completeTask($('#comments_id_task').val());
        });
    });    
    
    $('#tblTasks').on('click','tr.view_task',function(e){
        if (!$(e.target).closest('.options').length) {
            $('#comments_id_task').val($(this).data('id_task'));
            viewTask($(this).data('id_task'));
        }       
    }); 
    
    $('#taskInformation').on('click','a.view_task',function(e){
        $('#comments_id_task').val($(this).data('id_task'));
        viewTask($(this).data('id_task'));   
    });     
    
    $('#tblTasks').removeClass( 'display' ).addClass('table table-striped table-bordered');
    var dt = $('#tblTasks').DataTable({
                paginate:true,
                iDisplayLength :100,
                filter:true,
                bFilter:true,
                aaSorting:[],
                //dom: 'Bfrtip',
                initComplete: function () {
                    this.api().columns('0,1,2,3,4,5,6').every( function () {var column = this;
                        var select = $('<select class="col-md-12"><option value=""></option></select>')
                            .appendTo( $(column.footer()).empty() )
                            .on( 'change', function () {
                                var val = $.fn.dataTable.util.escapeRegex(
                                    $(this).val()
                                );

                                column
                                    .search( val ? '^'+val+'$' : '', true, false )
                                    .draw();
                            } );

                        column.data().unique().sort().each( function ( d, j ) {
                            select.append( '<option value="'+d+'">'+d+'</option>' )
                        } );
                    } );
                }
            });

</script>