<?php
class autoloader {
    static function autoloadClasses($className) {
        $classes = array(
            'Form' => '/Form/Form.php',
            'EntityRepository' => '/Entity/EntityRepository.php',
            'Acl' => '/class/ACL/Acl.php',
            'AclRepository' => '/class/ACL/AclRepository.php',
            'Translator' => '/class/Translator/Translator.php',
            'Login' => '/class/Login/Login.php',
            'LoginRepository' => '/class/Login/LoginRepository.php',
            'LoginForm' => '/Form/LoginForm.php',
            'MailForm' => '/Form/MailForm.php',
            'DataBase' => '/class/DataBase/DataBase.php',
            'FlashMessenger' => '/class/FlashMessenger/FlashMessenger.php',
            'FormValidator' => '/class/FormValidator/FormValidator.php',
            'Ajax'=>'/Controller/Ajax/Ajax.php',
            'AjaxModalForms'=>'/Controller/Ajax/AjaxModalForms.php',
            'PDF' => '/class/Pdf/pdf.php',
            'FPDI' => '/class/Pdf/fpdi.php',
            'UploadFile' => '/class/UploadFile/UploadFile.php',
            'jUploadPHP' => '/class/UploadFile/jUploadPHP.php',
            'Tools' => '/class/Tools/Tools.php',
            'zipfile' => '/class/ZipFile/zipfile.php',
            'Emailer' => '/class/PHPMailer/Emailer.php',
            'PHPMailer' => '/class/PHPMailer/class.phpmailer.php',
            'PHPExcel' => '/class/PHPExcel/PHPExcel.php',
            'PHPExcel_IOFactory' => '/class/PHPExcel/PHPExcel/IOFactory.php',
            'PHPExcel_Reader_IReadFilter' => '/class/PHPExcel/PHPExcel/Reader/IReadFilter.php',
            'NumeroALetra' => '/class/Tools/NumeroALetra.php',
            'CURP' => '/class/CURP/CURP.php',
            'RFC' => '/class/RFC/RFC.php',
            'BarCode' => '/class/BarCode/BarCode.php',
            'SettingsEntity'=>'/Entity/SettingsEntity.php',
            'SettingsRepository'=>'/Entity/SettingsRepository.php',

            'CompanyEntity' => '/Entity/CompanyEntity.php',
            'CompanyRepository' => '/Entity/CompanyRepository.php',
            'CompanyForm' => '/Form/CompanyForm.php', 
            
            'UserEntity' => '/Entity/UserEntity.php',
            'UserRepository' => '/Entity/UserRepository.php',
            'UserForm' => '/Form/UserForm.php', 
            
            'CustomerEntity' => '/Entity/CustomerEntity.php',
            'CustomerRepository' => '/Entity/CustomerRepository.php',
            'CustomerForm' => '/Form/CustomerForm.php',
            
            'CategoryEntity' => '/Entity/CategoryEntity.php',
            'CategoryRepository' => '/Entity/CategoryRepository.php',
            'CategoryForm' => '/Form/CategoryForm.php',
            
            'ProjectAjax'=>'/Controller/Ajax/ProjectAjax.php',
            'ProjectEntity' => '/Entity/ProjectEntity.php',
            'ProjectRepository' => '/Entity/ProjectRepository.php',
            'ProjectForm' => '/Form/ProjectForm.php',
            
            'TaskAjax'=>'/Controller/Ajax/TaskAjax.php',
            'TaskEntity' => '/Entity/TaskEntity.php',
            'TaskRepository' => '/Entity/TaskRepository.php',
            'TaskForm' => '/Form/TaskForm.php',
            
            'TicketAjax'=>'/Controller/Ajax/TicketAjax.php',
            'TicketEntity' => '/Entity/TicketEntity.php',
            'TicketRepository' => '/Entity/TicketRepository.php',
            'TicketForm' => '/Form/TicketForm.php',
            
            'ReportAjax'=>'/Controller/Ajax/ReportAjax.php',
            'ReportForm' => '/Form/ReportForm.php',            
            'ReporteListasEntity' => '/Entity/ReporteListasEntity.php',
            'ReporteListasRepository' => '/Entity/ReporteListasRepository.php',                 
            
        );
        if (isset($classes[$className])) {
            require_once(ROOT . $classes[$className]);
        }
    }    
}