<!-- Navigation -->
<nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
            <span class="sr-only"> Alegre & Associates Manager</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="Home.php"><i class="fa fa-check-circle"></i> Alegre & Associates Manager</a>
    </div>
    <!-- Top Menu Items -->
    <ul class="nav navbar-right top-nav">
        <li class="dropdown">
            <?php $login = new Login();?>
            <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-user"></i>  <?php echo $login->getNombreCompleto();?> <b class="caret"></b></a>
            <ul class="dropdown-menu">
                <li>
                    <a href="<?php echo ROOT_HOST;?>/Controller/User.php?action=edit&id=<?php echo $login->getId();?>"><i class="fa fa-fw fa-user"></i> Profile</a>
                </li>
                <li class="divider"></li>
                <li>
                    <a href="<?php echo ROOT_HOST;?>/class/Login/Logout.php"><i class="fa fa-fw fa-power-off"></i> Log Out</a>
                </li>
            </ul>
        </li>
    </ul>
    <!-- Sidebar Menu Items - These collapse to the responsive navigation menu on small screens -->
    <div class="collapse navbar-collapse navbar-ex1-collapse">
        <ul class="nav navbar-nav side-nav">            
            <li>
                <a href="/Controller/Home.php"><i class="fa fa-fw fa-dashboard"></i> Inicio</a>
            </li>            
            <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#projectCollapse"><i class="fa fa-fw fa-building-o"></i> <?php echo $_translator->_getTranslation('Empresas')?> <i class="fa fa-fw fa-caret-down"></i></a>
                <ul id="projectCollapse" class="collapse">
                    <li><a href="Project.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Agregar empresa');?></a></li>
                    <li><a href="Project.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de empresas');?></a></li>
                </ul>
            </li>
            <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#customerCollapse"><i class="fa fa-fw fa-group"></i> <?php echo $_translator->_getTranslation('Clientes')?> <i class="fa fa-fw fa-caret-down"></i></a>
                <ul id="customerCollapse" class="collapse">
                    <li><a href="Customer.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Agregar cliente');?></a></li>
                    <li><a href="Customer.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de clientes');?></a></li>
                </ul>
            </li>
            <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#taskCollapse"><i class="fa fa-fw fa-check-circle-o"></i> <?php echo $_translator->_getTranslation('Tareas')?> <i class="fa fa-fw fa-caret-down"></i></a>
                <ul id="taskCollapse" class="collapse">
                    <li><a href="Task.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Agregar tarea');?></a></li>
                    <li><a href="Task.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de tareas');?></a></li>
                </ul>
            </li>
            <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#ticketsCollapse"><i class="fa fa-fw fa-ticket"></i> <?php echo $_translator->_getTranslation('Tickets')?> <i class="fa fa-fw fa-caret-down"></i></a>
                <ul id="ticketsCollapse" class="collapse">
                    <li><a href="Ticket.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Agregar ticket');?></a></li>
                    <li><a href="Ticket.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de tickets');?></a></li>
                </ul>
            </li>
            <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#accountCollapse"><i class="fa fa-fw fa-gear"></i> <?php echo $_translator->_getTranslation('Configuracion')?> <i class="fa fa-fw fa-caret-down"></i></a>
                <ul id="accountCollapse" class="collapse">                                    
                    <li><a href="Category.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Categorias')?></a></li>
                    <li><a href="User.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Usuarios')?></a></li>
                    <li><a href="Company.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Empresa')?></a></li>
                </ul>
            </li>
                    
        </ul>
    </div>
    <!-- /.navbar-collapse -->
</nav>